import { FC } from "react";
import { AccountStatusEnum } from "@orderly.network/types";
export type AccountStatus = "NotConnected" | "Connected" | "NotSignedIn" | "EnabledTrading" | "SignedIn";
export interface AccountStatusProps {
    className?: string;
    status: AccountStatusEnum;
    chains: string[];
    address?: string;
    balance?: string;
    currency?: string;
    totalValue?: number;
    accountInfo: any;
    loading?: boolean;
    onConnect?: () => void;
    onDisconnect?: () => void;
    showGetTestUSDC?: boolean;
}
export declare const AccountStatusBar: FC<AccountStatusProps>;
//# sourceMappingURL=accountStatusBar.d.ts.map