import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import Button from "../../../button";
import { Assets } from "./assets";
import { Divider } from "../../../divider";
import { useContext } from "react";
import { AssetsContext } from "../../../provider";
export const AccountInfo = (props) => {
    const { visible, toggleVisible, onDeposit, onWithdraw } = useContext(AssetsContext);
    return (_jsxs(_Fragment, { children: [_jsxs("div", { className: "orderly-flex orderly-items-center orderly-py-4", children: [_jsx("div", { className: "orderly-flex-1 orderly-text-base-contrast-80 orderly-text-sm", children: "Account" }), _jsxs("div", { className: "orderly-flex orderly-gap-2", children: [_jsx(Button, { size: "small", variant: "outlined", color: "tertiary", onClick: () => onWithdraw?.(), children: "Withdraw" }), _jsx(Button, { size: "small", variant: "outlined", color: "tertiary", onClick: () => onDeposit?.(), children: "Deposit" })] })] }), _jsx(Divider, {}), _jsx(Assets, { totalBalance: 1013130 })] }));
};
//# sourceMappingURL=index.js.map