import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext } from "react";
import { Numeral } from "../../text/numeral";
import { SymbolContext } from "../../provider";
export const SimpleMarketOverview = (props) => {
    const { quote_dp } = useContext(SymbolContext);
    //
    return (_jsxs("div", { className: "orderly-flex orderly-gap-4 orderly-items-center", children: [_jsx(Numeral, { precision: quote_dp, children: props.price }), _jsx(Numeral, { rule: "percentages", coloring: true, children: props.change })] }));
};
//# sourceMappingURL=simpleMarketOverview.js.map