import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { SearchForm } from "../../block/markets/sections/search";
import { MarketListView } from "../../block/markets/sections/listView";
import { useDataSource } from "./useDataSource";
export const Markets = (props) => {
    const [dataSource, { searchKey, onSearch, onSort }] = useDataSource(props.dataSource);
    return (_jsxs(_Fragment, { children: [_jsx("h3", { id: "orderly-markets-sheet-title", className: "orderly-text-lg orderly-text-base-contrast orderly-py-3", children: "Markets" }), _jsx(SearchForm, { onChange: onSearch, value: searchKey }), _jsx(MarketListView, { dataSource: dataSource, onItemClick: props.onItemClick, onSort: onSort, listHeight: props.listHeight })] }));
};
//# sourceMappingURL=markets.js.map