export var SortDirection;
(function (SortDirection) {
    SortDirection[SortDirection["NONE"] = 0] = "NONE";
    SortDirection[SortDirection["ASC"] = 1] = "ASC";
    SortDirection[SortDirection["DESC"] = 2] = "DESC";
})(SortDirection || (SortDirection = {}));
export function parseSortDirection(direction) {
    const value = parseInt(direction.toString());
    switch (value) {
        case 0: return SortDirection.NONE;
        case 1: return SortDirection.ASC;
        case 2: return SortDirection.NONE;
        default: return undefined;
    }
}
//# sourceMappingURL=types.js.map