import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Picker } from "../../select";
import { useMemo } from "react";
import { SIDE_OPTIONS, STATUS_OPTIONS } from "./shared/constants";
export const HistoryToolbar = (props) => {
    const sideOptions = useMemo(() => {
        return SIDE_OPTIONS;
    }, []);
    const statusOptions = useMemo(() => {
        return STATUS_OPTIONS;
    }, []);
    return (_jsxs("div", { className: "orderly-data-list-filter orderly-flex orderly-gap-3 orderly-py-3 orderly-px-4 orderly-items-center", children: [_jsx(Picker, { options: sideOptions, size: "small", value: props.side ?? "", onValueChange: (item) => props.onSideChange?.(item.value), className: "orderly-text-4xs orderly-text-base-contrast-54" }), _jsx(Picker, { options: statusOptions, size: "small", value: props.status ?? "", onValueChange: (item) => props.onStatusChange?.(item.value), className: "orderly-text-4xs orderly-text-base-contrast-54" })] }));
};
//# sourceMappingURL=historyToolbar.js.map