import { jsx as _jsx } from "react/jsx-runtime";
import { Picker } from "../../select";
import { useMemo } from "react";
export const DepthSelect = (props) => {
    const options = useMemo(() => {
        return props.depth.map((d) => ({
            value: d,
            label: `${d}`,
        }));
    }, [props.depth]);
    return (_jsx("div", { id: "orderly-order-book-depth", className: "orderly-pt-2", children: _jsx(Picker, { options: options, fullWidth: true, size: "small", value: props.value, className: "orderly-text-4xs orderly-text-base-contrast-54", onValueChange: (value) => {
                //
                props.onChange?.(value.value);
            } }) }));
};
//# sourceMappingURL=depthSelect.js.map