import { jsx as _jsx } from "react/jsx-runtime";
import { useContext } from "react";
import { OrderBookCell } from "./cell";
import { OrderBookContext } from "./orderContext";
export const ListBox = (props) => {
    const { data } = props;
    const { mode } = useContext(OrderBookContext);
    return (_jsx("div", { id: "orderly-order-book-list", className: "orderly-flex orderly-flex-col orderly-gap-[1px]", children: data.map((item, index) => {
            return (_jsx(OrderBookCell, { background: "", price: item[0], quantity: item[1], accumulated: item[2], count: props.countQty, type: props.type, mode: mode }, index));
        }) }));
};
//# sourceMappingURL=listBox.js.map