import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useContext } from "react";
import { Listview } from "./listview";
import { Header } from "./header";
import { Divider } from "../../../divider";
import { OrderListProvider } from "../shared/orderListContext";
import { TabContext } from "../../../tab";
export const OrdersViewFull = (props) => {
    const { height } = useContext(TabContext);
    return (_jsxs(OrderListProvider, { cancelOrder: props.cancelOrder, editOrder: props.editOrder, cancelAlgoOrder: props.cancelAlgoOrder, editAlgoOrder: props.editAlgoOrder, children: [_jsx(Header, { count: props.dataSource?.length ?? 0, onSideChange: props.onSideChange, side: props.side, status: props.status }), _jsx(Divider, {}), _jsx("div", { className: "orderly-relative", style: { height: `${(height?.content ?? 100) - 55}px` }, children: _jsx(Listview, { dataSource: props.dataSource, status: props.status, onCancelOrder: props.cancelOrder, loading: props.isLoading, loadMore: props.loadMore, onSymbolChange: props.onSymbolChange }) })] }));
};
//# sourceMappingURL=index.js.map