import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { DropdownMenu, DropdownMenuContent, DropdownMenuItem, DropdownMenuTrigger, } from "@radix-ui/react-dropdown-menu";
import { DesktopTokenCell } from "./tokenCell.desktop";
export const DesktopTokenSelect = (props) => {
    return (_jsxs(DropdownMenu, { open: props.open, onOpenChange: props.onOpenChange, children: [_jsx(DropdownMenuTrigger, { disabled: props.disabled, asChild: true, children: props.trigger }), _jsx(DropdownMenuContent, { align: "start", className: "orderly-token-select-dropdown-menu orderly-rounded-sm orderly-bg-base-700 orderly-min-w-[120px] orderly-max-h-[280px] orderly-overflow-y-auto orderly-overflow-hidden orderly-mt-2 orderly-py-2 orderly-shadow-[0_4px_4px_0px_rgba(0,0,0,0.25)] orderly-z-[100]", children: props.tokens?.map((token) => {
                    return (_jsx(DropdownMenuItem, { onClick: () => {
                            props.onTokenChange?.(token);
                            props.onOpenChange(false);
                        }, children: _jsx(DesktopTokenCell, { token: token, fetchBalance: props.fetchBalance }) }, token.symbol));
                }) })] }));
};
//# sourceMappingURL=tokenSelect.desktop.js.map