import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Divider } from "../../divider";
import { PositionCell } from "./cell";
import { PositionOverview } from "./overview";
import { ListView } from "../../listView";
import { StatisticStyleProvider } from "../../statistic/defaultStaticStyle";
import { SymbolProvider } from "../../provider";
export const PositionsView = (props) => {
    return (_jsx(StatisticStyleProvider, { labelClassName: "orderly-text-3xs orderly-text-base-contrast/30", valueClassName: "orderly-text-base-contrast/80", children: _jsxs("div", { children: [_jsx(PositionOverview, { onMarketCloseAll: props.onMarketCloseAll, aggregated: props.aggregated, onShowAllSymbolChange: props.onShowAllSymbolChange, showAllSymbol: props.showAllSymbol }), _jsx(Divider, {}), _jsx(_Fragment, { children: _jsx(ListView.separated, { dataSource: props.dataSource, renderItem: (item, index) => {
                            return (_jsx(SymbolProvider, { symbol: item.symbol, children: _jsx(PositionCell, { item: item, onLimitClose: props.onLimitClose, onMarketClose: props.onMarketClose, onSymbolChange: props.onSymbolChange }) }));
                        }, renderSeparator: (item, index) => {
                            return _jsx(Divider, {}, index);
                        }, loadMore: props.loadMore }) })] }) }));
};
//# sourceMappingURL=positions.js.map