import { jsx as _jsx } from "react/jsx-runtime";
import { ClosePositionPane } from "./closeForm";
import { useModal } from "../../../modal";
export const PositionLimitCloseDialog = (props) => {
    const { hide, reject, resolve } = useModal();
    return (_jsx(ClosePositionPane, { position: props.positions, onCancel: () => {
            reject();
            hide();
        }, onClose: (res) => {
            resolve(res);
            hide();
        }, side: props.side }));
};
//# sourceMappingURL=closeDialog.js.map