import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Divider } from "../../../divider";
import { NetworkImage } from "../../../icon";
import { Text } from "../../../text";
import { OrderDetail } from "../shared/orderDetail";
import { commify } from "@orderly.network/utils";
export const LimitConfirm = (props) => {
    const { order, quote, side } = props;
    console.log("LimitConfirm::::::::", props);
    return (_jsxs("div", { children: [_jsx("div", { className: "orderly-space-y-3", children: _jsx("div", { className: "orderly-font-medium orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: `You will close ${commify(order.order_quantity || "")} ${props.base} position at limit price.` }) }), _jsx(Divider, { className: "orderly-my-4" }), _jsxs("div", { className: "orderly-mb-4 orderly-flex orderly-text-base orderly-items-center orderly-gap-2", children: [_jsx(NetworkImage, { size: 20, type: "token", name: props.base }), _jsx(Text, { rule: "symbol", className: "orderly-text-base desktop:orderly-text-lg", children: order.symbol })] }), _jsx(OrderDetail, { className: "orderly-text-xs", order: props.order, quote: props.quote })] }));
};
//# sourceMappingURL=limitConfirm.js.map