/// <reference types="react" />
import { type DrawOptions } from "@orderly.network/hooks";
export type PosterProps = {
    width: number;
    height: number;
    className?: string;
    ratio?: number;
    data: DrawOptions;
    style?: React.CSSProperties;
};
export type PosterRef = {
    download: (filename: string, type?: string, encoderOptions?: number) => void;
    toDataURL: (type?: string, encoderOptions?: number) => string;
    toBlob: (type?: string, encoderOptions?: number) => Promise<Blob | null>;
    copy: () => Promise<void>;
};
export declare const Poster: import("react").ForwardRefExoticComponent<PosterProps & import("react").RefAttributes<PosterRef>>;
//# sourceMappingURL=poster.d.ts.map