import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export const PrevButton = (props) => {
    const { children, ...restProps } = props;
    return (_jsx("button", { ...restProps, children: _jsxs("svg", { width: "24", height: "24", viewBox: "0 0 24 24", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: [_jsx("rect", { width: "24", height: "24", rx: "12", fill: "#333948" }), _jsx("path", { d: "M15.4285 6.49199L10.3425 12L15.4285 17.508L13.8627 19.2L7.19989 12L13.8627 4.79999L15.4285 6.49199Z", fill: "#868F99" })] }) }));
};
export const NextButton = (props) => {
    const { children, ...restProps } = props;
    return (_jsx("button", { ...restProps, children: _jsxs("svg", { width: "24", height: "24", viewBox: "0 0 24 24", fill: "none", xmlns: "http://www.w3.org/2000/svg", children: [_jsx("rect", { width: "24", height: "24", rx: "12", fill: "#333948" }), _jsx("path", { d: "M8.57397 17.508L13.6599 12L8.57398 6.49198L10.1397 4.79998L16.8025 12L10.1397 19.2L8.57397 17.508Z", fill: "#868F99" })] }) }));
};
//# sourceMappingURL=buttons.js.map