import { FC } from "react";
import { API, CurrentChain } from "@orderly.network/types";
export interface ActionButtonProps {
    chains?: API.NetworkInfos[];
    chain: CurrentChain | null;
    onWithdraw: () => void;
    disabled: boolean;
    switchChain: (options: {
        chainId: string;
    }) => Promise<any>;
    openChainPicker?: () => Promise<{
        id?: number;
        name?: string;
    }>;
    quantity: string;
    address: string | undefined;
    loading?: boolean;
    chainVaultBalance: number;
    maxAmount: number;
    fee: number;
    crossChainWithdraw: boolean;
}
export declare const ActionButton: FC<ActionButtonProps>;
//# sourceMappingURL=actionButton.d.ts.map