import { jsx as _jsx } from "react/jsx-runtime";
import { useState } from "react";
import { CollapseContext } from "./collapseContext";
import { Panel } from "./panel";
const CollapseRoot = (props) => {
    const [activeKey, setActiveKey] = useState(props.activeKey ?? "");
    return (_jsx(CollapseContext.Provider, { value: { activeKey, setActiveKey }, children: props.children }));
};
const Collapse = CollapseRoot;
Collapse.panel = Panel;
export default Collapse;
//# sourceMappingURL=collapse.js.map