import { jsx as _jsx } from "react/jsx-runtime";
import { cn } from "../utils/css";
import * as CollapsiblePrimitive from "@radix-ui/react-collapsible";
const Collapsible = CollapsiblePrimitive.Root;
const CollapsibleTrigger = CollapsiblePrimitive.CollapsibleTrigger;
const CollapsibleContent = (props) => {
    return (_jsx(CollapsiblePrimitive.CollapsibleContent, { ...props, className: cn(props.className, "data-[state=open]:orderly-animate-collapsible-down data-[state=closed]:orderly-animate-collapsible-up orderly-overflow-hidden") }));
};
export { Collapsible, CollapsibleTrigger, CollapsibleContent };
//# sourceMappingURL=collapsible.js.map