import { jsx as _jsx } from "react/jsx-runtime";
import { cva } from "class-variance-authority";
const gridViewVariants = cva("grid", {
    variants: {
        cols: {
            1: "orderly-grid-cols-1",
            2: "orderly-grid-cols-2",
            3: "orderly-grid-cols-3",
            4: "orderly-grid-cols-4",
            5: "orderly-grid-cols-5",
            6: "orderly-grid-cols-6",
        },
    },
});
export const GridView = (props) => {
    return _jsx("div", { children: "gridView" });
};
//# sourceMappingURL=gridView.js.map