import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { useRef } from "react";
import { useEndReached } from "./useEndReached";
export const EndReachedBox = (props) => {
    const sentinelRef = useRef(null);
    const { onEndReached } = props;
    useEndReached(sentinelRef, () => {
        onEndReached?.();
    });
    return (_jsxs(_Fragment, { children: [props.children, _jsx("div", { ref: sentinelRef, className: "orderly-relative orderly-invisible orderly-h-[1px] orderly-top-[-300px]" })] }));
};
//# sourceMappingURL=endReachedBox.js.map