import { jsx as _jsx } from "react/jsx-runtime";
import { useContext } from "react";
import { OrderlyAppContext } from "../provider/appProvider";
import { NetworkImage } from "../icon/networkImage";
export const SecondaryLogo = (props) => {
    const { appIcons } = useContext(OrderlyAppContext);
    if (!appIcons)
        return null;
    const { secondary } = appIcons;
    if (secondary?.component) {
        return secondary.component;
    }
    if (secondary?.img) {
        return (_jsx(NetworkImage, { size: props.size, type: "path", rounded: true, path: secondary.img }));
    }
    return null;
};
//# sourceMappingURL=secondaryLogo.js.map