import { FC } from "react";
import type { ModalArgs, ModalHocProps } from "./types";
type ModalRegistry = {
    comp: React.FC<any>;
    props?: Record<string, unknown>;
};
export declare const MODAL_REGISTRY: Map<string, ModalRegistry>;
export declare const create: <P extends {}>(Comp: import("react").ComponentType<P>) => FC<P & ModalHocProps>;
export declare const register: <T extends FC<any>>(id: string, comp: T, props?: Partial<ModalArgs<T>> | undefined) => void;
export declare const unregister: (id: string) => void;
export {};
//# sourceMappingURL=modalHelper.d.ts.map