import { jsx as _jsx } from "react/jsx-runtime";
import React, { useContext } from "react";
import { useExecutionReport } from "../shared/hooks/useExecutionReport";
export const TradingPageContext = React.createContext({});
export const useTradingPageContext = () => {
    return useContext(TradingPageContext);
};
export const TradingPageProvider = ({ children, onSymbolChange, symbol, disableFeatures = [], overrides }) => {
    useExecutionReport();
    return (_jsx(TradingPageContext.Provider, { value: { onSymbolChange, symbol, disableFeatures, overrides }, children: children }));
};
//# sourceMappingURL=tradingPageContext.js.map