import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { AccountInfo } from "../../../../block/accountStatus/desktop";
import { memo } from "react";
import { useTradingPageContext } from "../../context/tradingPageContext";
import { TradingFeatures } from "../../features";
import { Divider } from "../../../../divider";
export const AccountInfoElement = memo(() => {
    const { disableFeatures } = useTradingPageContext();
    if (disableFeatures?.includes(TradingFeatures.AssetAndMarginInfo))
        return null;
    return (_jsxs(_Fragment, { children: [_jsx("div", { className: "orderly-px-4", children: _jsx(AccountInfo, {}) }), _jsx(Divider, { className: "orderly-my-3" })] }));
});
//# sourceMappingURL=accountInfo.js.map