import { jsx as _jsx } from "react/jsx-runtime";
import { useMarketTradeStream } from "@orderly.network/hooks";
import { TradeHistory } from "../../../../../block/tradeHistory";
export const TradeHistoryPane = (props) => {
    const { symbol } = props;
    const { data, isLoading } = useMarketTradeStream(symbol);
    return _jsx(TradeHistory, { dataSource: data, loading: isLoading });
};
//# sourceMappingURL=tradeHistory.js.map