import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { TabPane, Tabs } from "../../../../../tab";
import { useState } from "react";
import { PositionPane } from "./position";
import { OrdersPane } from "../../../../../page/trading/mobile/sections/dataList/orders";
import { HistoryPane } from "./history";
import { PositionTabTitle } from "./position/tabTitle";
import { MemoizedOrdersTabTitle } from "./orders/tabTitle";
export const DataListView = () => {
    const [activeTab, setActiveTab] = useState("positions");
    return (_jsxs(Tabs, { id: "orderly-data-list", value: activeTab, onTabChange: setActiveTab, tabBarClassName: "orderly-data-list-tab-bar orderly-bg-base-900 orderly-text-3xs", children: [_jsx(TabPane, { title: _jsx(PositionTabTitle, {}), value: "positions", id: "orderly-data-list-positions", children: _jsx(PositionPane, {}) }), _jsx(TabPane, { title: _jsx(MemoizedOrdersTabTitle, {}), value: "orders", id: "orderly-data-list-pending", children: _jsx(OrdersPane, {}) }), _jsx(TabPane, { title: "History", value: "history", id: "orderly-data-list-history", children: _jsx(HistoryPane, {}) })] }));
};
//# sourceMappingURL=index.js.map