import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { NavBar } from "./sections/navbar";
import { DataListView } from "./sections/dataList";
import { ChartView } from "./sections/chartView";
import { MyOrderBook } from "./sections/orderbook";
import { MyOrderEntry } from "./sections/orderEntry";
import { MemoizedCompnent } from "./sections/leverage";
import { BottomNavBar } from "./sections/bottombar";
import { AssetsProvider } from "../../../provider/assetsProvider";
export const MobileTradingPage = (props) => {
    return (_jsxs("div", { className: "orderly-pb-[70px]", children: [_jsx(NavBar, { symbol: props.symbol }), _jsx(ChartView, { symbol: props.symbol, tradingViewConfig: props.tradingViewConfig }), _jsx(MemoizedCompnent, { symbol: props.symbol }), _jsxs("div", { className: "orderly-grid orderly-grid-cols-[3fr_4fr] orderly-box-border orderly-p-2 orderly-items-start", children: [_jsx("div", { className: "orderly-w-full", children: _jsx(MyOrderBook, { symbol: props.symbol }) }), _jsx(AssetsProvider, { children: _jsx(MyOrderEntry, { symbol: props.symbol }) })] }), _jsx(DataListView, {}), _jsx(AssetsProvider, { children: _jsx(BottomNavBar, {}) })] }));
};
//# sourceMappingURL=trading.js.map