import React, { FC, ReactNode } from "react";
import { type TabContextState } from "./tabContext";
import { TabViewMode } from "./constants";
export type getTitleFunction = (context: TabContextState) => string;
export type TabTitle = ReactNode | getTitleFunction;
export interface TabProps {
    title: ReactNode;
    active?: boolean;
    value: string | number;
    disabled?: boolean;
    fullWidth?: boolean;
    mode: TabViewMode;
    icon?: React.ReactNode;
    onClick: (value: any, event: React.MouseEvent<HTMLButtonElement>) => void;
}
export declare const Tab: FC<TabProps>;
//# sourceMappingURL=tab.d.ts.map