import React, { ReactNode } from "react";
import { TabBarExtraRender } from "./tabList";
export interface TabsProps {
    id?: string;
    value?: string;
    onTabChange?: (value: string) => void;
    tabBarExtra?: ReactNode | TabBarExtraRender;
    extraData?: any;
    keepAlive?: boolean;
    fullWidth?: boolean;
    showIdentifier?: boolean;
    collapsed?: boolean;
    onToggleCollapsed?: () => void;
    tabBarClassName?: string;
    allowUngroup?: boolean;
    /**
     *
     */
    minWidth?: number;
    autoFit?: boolean;
}
export declare const Tabs: React.ForwardRefExoticComponent<TabsProps & {
    children?: React.ReactNode;
} & React.RefAttributes<{
    getContainer: () => HTMLDivElement;
}>>;
//# sourceMappingURL=tabs.d.ts.map