import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { cn } from "../utils/css";
import { ColGroup } from "./colgroup";
import { TheadCol } from "./theadCol";
export const TableHeader = (props) => {
    return (_jsxs("table", { className: cn("orderly-ui-table-thead orderly-border-collapse orderly-w-full orderly-table-fixed orderly-sticky orderly-top-0 orderly-z-20", props.containerClassName), children: [_jsx(ColGroup, { columns: props.columns }), _jsx("thead", { className: cn("orderly-sticky orderly-top-0 orderly-z-0", props.className), children: _jsx("tr", { children: props.columns.map((column, index) => {
                        return (_jsx(TheadCol, { col: column, record: undefined, index: index, className: props.className, bordered: props.bordered }, index));
                    }) }) })] }));
};
//# sourceMappingURL=thead.js.map