import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { ToastBar, toast, Toaster as PrimitiveToaster, } from "react-hot-toast";
import { X } from "lucide-react";
export const Toaster = (props) => {
    return (
    // @ts-ignore
    _jsx(PrimitiveToaster, { toastOptions: {
            duration: 2500,
            success: {
                iconTheme: {
                    primary: "rgba(0, 181, 159, 1)",
                    secondary: "rgba(57, 52, 74, 1)",
                },
                style: {
                    fontSize: "14px",
                    color: "rgba(255, 255, 255, 0.98)",
                },
            },
            error: {
                iconTheme: {
                    primary: "rgba(255, 103, 194, 1)",
                    secondary: "rgba(57, 52, 74, 1)",
                },
                style: {
                    fontSize: "14px",
                    color: "rgba(255, 255, 255, 0.98)",
                },
            },
        }, ...props, children: (t) => (
        // @ts-ignore
        _jsx(ToastBar, { toast: t, style: {
                ...t.style,
                background: "rgba(57, 52, 74, 1)",
                color: "rgba(255, 255, 255, 0.98)",
                // alignItems: "start",
                borderRadius: "6px",
                // animation: t.visible
                //   ? "animate-in fade-in"
                //   : "animate-out fade-out",
            }, children: ({ icon, message }) => (_jsxs(_Fragment, { children: [icon, message, t.type !== "loading" && (_jsx("button", { onClick: () => toast.dismiss(t.id), children: _jsx(X, { size: 18, color: "rgba(255, 255, 255, 0.2)" }) }))] })) })) }));
};
//# sourceMappingURL=Toaster.js.map