import { FC, ReactNode } from "react";
import { AccountStatusProps } from "../accountStatusBar";
export interface DesktopDropMenuItem {
    icon: ReactNode;
    title: string;
    key?: string;
    className?: string;
    onClick?: () => void;
}
export declare const AccountStatus: FC<AccountStatusProps & {
    className?: string;
    dropMenuItem?: DesktopDropMenuItem[] | React.ReactNode;
    onClickDropMenuItem?: (item: DesktopDropMenuItem) => void;
}>;
//# sourceMappingURL=accountStatus.desktop.d.ts.map