"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemorizedLeverage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const text_1 = require("../../../text");
const lucide_react_1 = require("lucide-react");
const leverageDialog_1 = require("./leverageDialog");
const LeverageAndMarginRatio = () => {
    const { marginRatio, currentLeverage } = (0, hooks_1.useMarginRatio)();
    const [maxLeverage, { update, config: leverageLevers }] = (0, hooks_1.useLeverage)();
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-xs", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1 orderly-text-2xs", children: [(0, jsx_runtime_1.jsx)(text_1.Numeral, { surfix: "x", children: currentLeverage }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54", children: "/" }), (0, jsx_runtime_1.jsx)(leverageDialog_1.LeverageDialog, { children: (0, jsx_runtime_1.jsxs)("button", { className: "orderly-flex orderly-items-center orderly-gap-1", children: [(0, jsx_runtime_1.jsx)("span", { children: `${maxLeverage ?? "-"}x` }), typeof maxLeverage !== "undefined" && (
                                        // @ts-ignore
                                        (0, jsx_runtime_1.jsx)(lucide_react_1.Pencil, { size: 14, className: "orderly-text-base-contrast-54" }))] }) })] }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast-54 orderly-text-3xs", children: "Account leverage" })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-tabular-nums orderly-items-end", children: [(0, jsx_runtime_1.jsx)(text_1.Numeral, { rule: "percentages", coloring: true, children: marginRatio === 0 ? 10 : Math.min(marginRatio, 10) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-base-contrast-54 orderly-text-2xs", children: "Margin ratio" })] })] }));
};
exports.MemorizedLeverage = (0, react_1.memo)(LeverageAndMarginRatio);
//# sourceMappingURL=leverage.js.map