"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAccountStatus = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const modal_1 = require("../../modal");
const useAccountStatus = () => {
    const onSettle = (0, react_1.useCallback)(() => {
        return modal_1.modal.confirm({
            title: "Settle PnL",
            content: ((0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast-54 orderly-text-2xs", children: "Are you sure you want to settle your PnL? Settlement will take up to 1 minute before you can withdraw your available balance." })),
            onCancel: () => {
                return Promise.reject();
            },
            onOk: () => {
                // @ts-ignore
                if (typeof props.onSettle !== "function")
                    return Promise.resolve();
                // @ts-ignore
                return props.onSettle().catch((e) => { });
            },
        });
    }, []);
    return {
        onSettle,
    };
};
exports.useAccountStatus = useAccountStatus;
//# sourceMappingURL=useAccountStatus.js.map