import { API, CurrentChain } from "@orderly.network/types";
import { FC } from "react";
export interface ActionButtonProps {
    chains: API.NetworkInfos[];
    chain: CurrentChain | null;
    token?: API.TokenInfo;
    onDeposit: () => void;
    disabled: boolean;
    switchChain: (options: {
        chainId: string;
    }) => Promise<any>;
    quantity: string;
    loading?: boolean;
    allowance: number;
    submitting: boolean;
    maxQuantity: string;
    chainNotSupport: boolean;
    warningMessage?: string;
    onApprove?: () => Promise<any>;
    onChainChange?: (value: any) => void;
}
export declare const ActionButton: FC<ActionButtonProps>;
//# sourceMappingURL=actionButton.d.ts.map