"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DepositSlot = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const plugin_1 = require("../../plugin");
const install_1 = require("../../plugin/install");
const slot_1 = require("../../plugin/slot");
const deposit_1 = require("../deposit/deposit");
(0, install_1.installExtension)({
    name: "default-deposit",
    scope: ["*"],
    positions: [plugin_1.ExtensionPosition.DepositForm],
    __isInternal: true,
})((props) => {
    return (0, jsx_runtime_1.jsx)(deposit_1.Deposit, { onOk: props.onOk });
});
const DepositSlot = (props) => {
    return ((0, jsx_runtime_1.jsx)(slot_1.ExtensionSlot, { position: plugin_1.ExtensionPosition.DepositForm, onOk: props.onOk }));
};
exports.DepositSlot = DepositSlot;
//# sourceMappingURL=slot.js.map