"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeverageView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const button_1 = __importDefault(require("../../button"));
const icon_1 = require("../../icon");
const LeverageView = ({ maxLeverage, predFundingRate, countdown, onShowLeverageInfo, }) => {
    return ((0, jsx_runtime_1.jsxs)("div", { id: "orderly-leverage", className: "orderly-flex orderly-justify-between orderly-items-center orderly-text-3xs", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-text-4xs orderly-text-base-contrast-36 orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsxs)("button", { className: "orderly-flex orderly-items-center orderly-gap-1", onClick: () => onShowLeverageInfo?.(), children: [(0, jsx_runtime_1.jsx)(icon_1.InfoIcon, { size: 14 }), (0, jsx_runtime_1.jsx)("span", { children: "Max leverage" })] }), (0, jsx_runtime_1.jsx)(button_1.default, { variant: "text", size: "small", className: "orderly-px-1 orderly-min-w-[24px] orderly-text-4xs orderly-text-link", children: `${maxLeverage}x` })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-items-end orderly-text-4xs orderly-text-base-contrast-36", children: [(0, jsx_runtime_1.jsx)("div", { children: "Pred. funding rate" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-1", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-text-warning", children: `${predFundingRate}%` }), (0, jsx_runtime_1.jsx)("span", { children: "in" }), (0, jsx_runtime_1.jsx)("span", { children: countdown })] })] })] }));
};
exports.LeverageView = LeverageView;
//# sourceMappingURL=leverage.js.map