"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimpleMarketOverview = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const numeral_1 = require("../../text/numeral");
const provider_1 = require("../../provider");
const SimpleMarketOverview = (props) => {
    const { quote_dp } = (0, react_1.useContext)(provider_1.SymbolContext);
    //
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-4 orderly-items-center", children: [(0, jsx_runtime_1.jsx)(numeral_1.Numeral, { precision: quote_dp, children: props.price }), (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { rule: "percentages", coloring: true, children: props.change })] }));
};
exports.SimpleMarketOverview = SimpleMarketOverview;
//# sourceMappingURL=simpleMarketOverview.js.map