import { API } from "@orderly.network/types";
import { FC } from "react";
import { FavoriteTab } from "@orderly.network/hooks";
export interface FavoriteButtonProps {
    symbol: API.MarketInfoExt;
    tabs: FavoriteTab[];
    updateFavoriteTabs: (tab: any, operator?: {
        add?: boolean;
        update?: boolean;
        delete?: boolean;
    }) => void;
    updateSymbolFavoriteState: (symbol: API.MarketInfoExt, tab: any, del: boolean) => void;
}
export declare const FavoriteButton: FC<FavoriteButtonProps>;
interface Props {
    width?: number;
    height?: number;
}
export declare const UnFavoriteIcon: FC<Props>;
export declare const FavoriteIcon: FC<Props>;
export {};
//# sourceMappingURL=favoriteButton.d.ts.map