import { ReactNode } from "react";
import { MarketListViewProps, SortDirection, SortKey } from "../shared/types";
import { API } from "@orderly.network/types";
import type { ListViewRef } from "../../../listView/listView";
interface Props {
    activeIndex: number;
    onSort: (value: Partial<{
        key: SortKey;
        direction: SortDirection;
    }>) => void;
    readLastSortCondition?: boolean;
    maxHeight?: number;
    onItemClick?: (item: API.MarketInfoExt) => void;
    updateActiveIndex?: (index: number) => void;
    favoriteTabs: any;
}
export declare const ListViewFull: import("react").ForwardRefExoticComponent<MarketListViewProps & Props & {
    prefixRender?: ((item: API.MarketInfoExt, index: number) => React.ReactNode) | undefined;
    suffixRender?: ((item: API.MarketInfoExt, index: number) => React.ReactNode) | undefined;
} & import("react").RefAttributes<ListViewRef>>;
export {};
//# sourceMappingURL=listview.d.ts.map