"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketsFull = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tab_1 = require("../../tab");
const header_1 = require("./full/header");
const tradingPageContext_1 = require("../../page/trading/context/tradingPageContext");
const recentTabPane_1 = require("./full/recentTabPane");
const allTabPane_1 = require("./full/allTabPane");
const favoritesTabPane_1 = require("./full/favoritesTabPane");
const MarketsFull = (props) => {
    const [searchKey, setSearchKey] = (0, react_1.useState)("");
    const [activeIndex, setActiveIndex] = (0, react_1.useState)(-1);
    // const [dataSource, { searchKey, onSearch, onSort }] = useDataSource(
    //   props.dataSource
    // );
    // const { onSymbolChange } = useContext(TradingPageContext);
    // const onSymbolClick = useCallback(
    //   (symbol: any) => {
    //     props.onClose?.();
    //     onSymbolChange?.(symbol);
    //   },
    //   [onSymbolChange]
    // );
    // const listviewRef = useRef<
    //   | {
    //     scroll: (direction: { x: number; y: number }) => void;
    //   }
    //   | undefined
    // >();
    // const onKeywordChange = (key: string) => {
    //   onSearch(key);
    //   setActiveIndex(-1);
    // };
    // const onMoving = (direction: MoveDirection) => {
    //   if (dataSource?.length === 0) return;
    //   let nextIndex = activeIndex;
    //   if (direction === MoveDirection.Up) {
    //     nextIndex = activeIndex < 0 ? dataSource!.length - 1 : activeIndex - 1;
    //   } else if (direction === MoveDirection.Down) {
    //     nextIndex = (activeIndex + 1) % dataSource!.length;
    //   }
    //   setActiveIndex(nextIndex);
    //   setTimeout(() => {
    //     listviewRef.current?.scroll({
    //       x: 0,
    //       y: Math.max(40 * nextIndex, 0),
    //     });
    //   }, 0);
    // };
    const onSymbolSelect = () => {
        // if (activeIndex === -1) return;
        // const symbol = dataSource?.[activeIndex];
        // if (symbol) {
        //   props.onItemClick?.(symbol);
        // }
    };
    const onMoving = (direction) => {
    };
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-grid grid-rows-[40px_1fr] orderly-tabular-nums orderly-pb-2", children: [(0, jsx_runtime_1.jsx)(header_1.Header, { onSearch: setSearchKey, keyword: searchKey, onMoving: (direction) => onMoving(direction), onClose: props.onClose, onSymbolSelect: onSymbolSelect }), (0, jsx_runtime_1.jsx)(MarketsBody, { onClose: props.onClose, maxHeight: props.maxHeight, activeIndex: activeIndex, setActiveIndex: setActiveIndex, 
                // onSort={onSort}
                // onItemClick={onSymbolClick}
                fitlerKey: searchKey })] }));
};
exports.MarketsFull = MarketsFull;
const MarketsBody = (props) => {
    const { activeIndex, setActiveIndex, fitlerKey, } = props;
    const [activeTab, setActiveTab] = (0, react_1.useState)(localStorage.getItem("markets_sel_tab_key") || "all");
    const { onSymbolChange } = (0, react_1.useContext)(tradingPageContext_1.TradingPageContext);
    const onSymbolClick = (0, react_1.useCallback)((symbol) => {
        props.onClose?.();
        onSymbolChange?.(symbol);
    }, [onSymbolChange]);
    const updateActiveTab = (value) => {
        setActiveTab(value);
        localStorage.setItem("markets_sel_tab_key", value);
    };
    return ((0, jsx_runtime_1.jsxs)(tab_1.Tabs, { autoFit: true, value: activeTab, onTabChange: updateActiveTab, tabBarClassName: "orderly-h-[48px] orderly-text-sm desktop:orderly-font-semibold orderly-bg-base-800", children: [(0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Favorites", value: "favorites", className: "orderly-px-0", children: (0, jsx_runtime_1.jsx)(favoritesTabPane_1.FavoritesTabPane, { onClose: props.onClose, maxHeight: props.maxHeight, activeIndex: activeIndex, setActiveIndex: setActiveIndex, fitlerKey: fitlerKey, onItemClick: onSymbolClick }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Recent", value: "recent", className: "orderly-px-0", children: (0, jsx_runtime_1.jsx)(recentTabPane_1.RecentTabPane, { onClose: props.onClose, maxHeight: props.maxHeight, activeIndex: activeIndex, setActiveIndex: setActiveIndex, fitlerKey: fitlerKey, onItemClick: onSymbolClick }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "All", value: "all", className: "orderly-px-0", children: (0, jsx_runtime_1.jsx)(allTabPane_1.AllTabPane, { onClose: props.onClose, maxHeight: props.maxHeight, activeIndex: activeIndex, setActiveIndex: setActiveIndex, fitlerKey: fitlerKey, onItemClick: onSymbolClick }) })] }));
};
//# sourceMappingURL=markets.full.js.map