"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketListView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const listView_1 = require("../../../listView");
const divider_1 = require("../../../divider");
const react_1 = require("react");
const sortGroup_1 = require("../../../block/markets/sections/sortGroup");
const cell_1 = require("./cell");
const provider_1 = require("../../../provider");
const MarketListView = (props) => {
    const renderItem = (0, react_1.useCallback)((item) => {
        return ((0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: item.symbol, children: (0, jsx_runtime_1.jsx)(cell_1.Cell, { item: item, onItemClick: props.onItemClick }) }));
    }, []);
    const renderSeparator = (0, react_1.useCallback)(() => {
        return (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-my-[16px]" });
    }, []);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(sortGroup_1.SortGroup, { onChange: props.onSort }), (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), (0, jsx_runtime_1.jsx)("div", { className: "orderly-overflow-y-auto orderly-overflow-hidden orderly-scrollbar-hidden orderly-hide-scrollbar orderly-my-2", style: {
                    height: props.listHeight,
                }, children: (0, jsx_runtime_1.jsx)(listView_1.ListView.separated, { dataSource: props.dataSource, renderItem: renderItem, renderSeparator: renderSeparator, contentClassName: "orderly-space-y-[16px]", className: "orderly-py-[16px]" }) })] }));
};
exports.MarketListView = MarketListView;
//# sourceMappingURL=listView.js.map