"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchForm = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const input_1 = require("../../../input");
const inputMask_1 = require("../../../input/inputMask");
const lucide_react_1 = require("lucide-react");
const react_1 = require("react");
const SearchForm = (props) => {
    // const [key, setKey] = useState<string>("");
    const onClean = (0, react_1.useCallback)(() => {
        //
        props.onChange?.("");
    }, []);
    // useEffect(() => {
    //   props.onChange?.(key);
    // }, [key]);
    return ((0, jsx_runtime_1.jsx)(input_1.Input, { fullWidth: true, placeholder: "Search instrument", onClean: onClean, value: props.value, containerClassName: "orderly-markets-search orderly-bg-base-900", className: "orderly-markets-search-input orderly-text-2xs", onChange: (event) => {
            props.onChange?.(event.target.value);
        }, prefix: (0, jsx_runtime_1.jsx)(inputMask_1.InputMask, { children: (0, jsx_runtime_1.jsx)(lucide_react_1.Search, { size: 16, className: "orderly-markets-search-icon orderly-text-base-contrast-20" }) }) }));
};
exports.SearchForm = SearchForm;
//# sourceMappingURL=search.js.map