"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSortDirection = exports.SortDirection = void 0;
var SortDirection;
(function (SortDirection) {
    SortDirection[SortDirection["NONE"] = 0] = "NONE";
    SortDirection[SortDirection["ASC"] = 1] = "ASC";
    SortDirection[SortDirection["DESC"] = 2] = "DESC";
})(SortDirection || (exports.SortDirection = SortDirection = {}));
function parseSortDirection(direction) {
    const value = parseInt(direction.toString());
    switch (value) {
        case 0: return SortDirection.NONE;
        case 1: return SortDirection.ASC;
        case 2: return SortDirection.NONE;
        default: return undefined;
    }
}
exports.parseSortDirection = parseSortDirection;
//# sourceMappingURL=types.js.map