"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortFunc = void 0;
const types_1 = require("./shared/types");
exports.sortFunc = {
    vol: (direction) => (a, b) => {
        const aValue = a["24h_amount"];
        const bValue = b["24h_amount"];
        return direction === types_1.SortDirection.ASC
            ? aValue - bValue
            : bValue - aValue;
    },
    price: (direction) => (a, b) => {
        return direction === types_1.SortDirection.ASC
            ? a["24h_close"] - b["24h_close"]
            : b["24h_close"] - a["24h_close"];
    },
    change: (direction) => (a, b) => {
        return direction === types_1.SortDirection.ASC
            ? a.change - b.change
            : b.change - a.change;
    },
};
//# sourceMappingURL=utils.js.map