"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const select_1 = require("../../../select");
const constants_1 = require("../shared/constants");
const Header = (props) => {
    //   const [side, setSide] = useState<OrderSide | "">("");
    const sideOptions = (0, react_1.useMemo)(() => {
        return constants_1.SIDE_OPTIONS;
    }, []);
    const statusOptions = (0, react_1.useMemo)(() => {
        return constants_1.STATUS_OPTIONS;
    }, []);
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-justify-between orderly-items-center orderly-py-3", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(select_1.Select, { size: "small", options: sideOptions, value: props.side, onChange: (value) => {
                        //   setSide(value as OrderSide);
                        props.onSideChange?.(value);
                        // props.onSearch?.({ side: value as OrderSide });
                    } }), (0, jsx_runtime_1.jsx)(select_1.Select, { size: "small", options: statusOptions, value: props.status, onChange: (value) => {
                        props.onStatusChange?.(value);
                        // props.onSearch?.({ side: value as OrderSide });
                    } })] }) }));
};
exports.Header = Header;
//# sourceMappingURL=header.js.map