"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoryListView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const divider_1 = require("../../divider");
const listView_1 = require("../../listView");
const historyToolbar_1 = require("./historyToolbar");
const cell_1 = require("./cell");
const defaultStaticStyle_1 = require("../../statistic/defaultStaticStyle");
const provider_1 = require("../../provider");
const HistoryListView = (props) => {
    return ((0, jsx_runtime_1.jsxs)(defaultStaticStyle_1.StatisticStyleProvider, { labelClassName: "orderly-text-3xs orderly-text-base-contrast/30", children: [(0, jsx_runtime_1.jsx)(historyToolbar_1.HistoryToolbar, { status: props.status, side: props.side, onSideChange: props.onSideChange, onStatusChange: props.onStatusChange }), (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), (0, jsx_runtime_1.jsx)(listView_1.ListView.separated, { isLoading: props.isLoading, dataSource: props.dataSource, renderSeparator: (_, index) => (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), renderItem: (item, index) => ((0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: item.symbol, children: (0, jsx_runtime_1.jsx)(cell_1.Cell, { item: item, onSymbolChange: props.onSymbolChange }) })), loadMore: props.loadMore })] }));
};
exports.HistoryListView = HistoryListView;
//# sourceMappingURL=historyListView.js.map