"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoryToolbar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const select_1 = require("../../select");
const react_1 = require("react");
const constants_1 = require("./shared/constants");
const HistoryToolbar = (props) => {
    const sideOptions = (0, react_1.useMemo)(() => {
        return constants_1.SIDE_OPTIONS;
    }, []);
    const statusOptions = (0, react_1.useMemo)(() => {
        return constants_1.STATUS_OPTIONS;
    }, []);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-data-list-filter orderly-flex orderly-gap-3 orderly-py-3 orderly-px-4 orderly-items-center", children: [(0, jsx_runtime_1.jsx)(select_1.Picker, { options: sideOptions, size: "small", value: props.side ?? "", onValueChange: (item) => props.onSideChange?.(item.value), className: "orderly-text-4xs orderly-text-base-contrast-54" }), (0, jsx_runtime_1.jsx)(select_1.Picker, { options: statusOptions, size: "small", value: props.status ?? "", onValueChange: (item) => props.onStatusChange?.(item.value), className: "orderly-text-4xs orderly-text-base-contrast-54" })] }));
};
exports.HistoryToolbar = HistoryToolbar;
//# sourceMappingURL=historyToolbar.js.map