"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DepthSelect = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const select_1 = require("../../select");
const react_1 = require("react");
const DepthSelect = (props) => {
    const options = (0, react_1.useMemo)(() => {
        return props.depth.map((d) => ({
            value: d,
            label: `${d}`,
        }));
    }, [props.depth]);
    return ((0, jsx_runtime_1.jsx)("div", { id: "orderly-order-book-depth", className: "orderly-pt-2", children: (0, jsx_runtime_1.jsx)(select_1.Picker, { options: options, fullWidth: true, size: "small", value: props.value, className: "orderly-text-4xs orderly-text-base-contrast-54", onValueChange: (value) => {
                //
                props.onChange?.(value.value);
            } }) }));
};
exports.DepthSelect = DepthSelect;
//# sourceMappingURL=depthSelect.js.map