"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderBookProvider = exports.OrderBookContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
exports.OrderBookContext = (0, react_1.createContext)({
    cellHeight: 22,
});
const OrderBookProvider = (props) => {
    const [mode, setMode] = (0, react_1.useState)("quantity");
    const [totalMode, setTotalMode] = (0, react_1.useState)("quantity");
    return ((0, jsx_runtime_1.jsx)(exports.OrderBookContext.Provider, { value: {
            cellHeight: props.cellHeight,
            onItemClick: props.onItemClick,
            mode,
            totalMode: totalMode || "quantity",
            depth: props.depth,
            onModeChange: setMode,
            onTotalModeChange: setTotalMode,
            showTotal: props.showTotal || false,
            pendingOrders: props.pendingOrders,
        }, children: props.children }));
};
exports.OrderBookProvider = OrderBookProvider;
//# sourceMappingURL=orderContext.js.map