"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrdersViewFull = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const listview_1 = require("./listview");
const header_1 = require("./header");
const divider_1 = require("../../../divider");
const orderListContext_1 = require("../shared/orderListContext");
const tab_1 = require("../../../tab");
const OrdersViewFull = (props) => {
    const { height } = (0, react_1.useContext)(tab_1.TabContext);
    return ((0, jsx_runtime_1.jsxs)(orderListContext_1.OrderListProvider, { cancelOrder: props.cancelOrder, editOrder: props.editOrder, cancelAlgoOrder: props.cancelAlgoOrder, editAlgoOrder: props.editAlgoOrder, children: [(0, jsx_runtime_1.jsx)(header_1.Header, { count: props.dataSource?.length ?? 0, onSideChange: props.onSideChange, side: props.side, status: props.status }), (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), (0, jsx_runtime_1.jsx)("div", { className: "orderly-relative", style: { height: `${(height?.content ?? 100) - 55}px` }, children: (0, jsx_runtime_1.jsx)(listview_1.Listview, { dataSource: props.dataSource, status: props.status, onCancelOrder: props.cancelOrder, loading: props.isLoading, loadMore: props.loadMore, onSymbolChange: props.onSymbolChange }) })] }));
};
exports.OrdersViewFull = OrdersViewFull;
//# sourceMappingURL=index.js.map