"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrdersView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const listView_1 = require("../../listView");
const divider_1 = require("../../divider");
const cell_1 = require("../../block/orders/cell");
const toolbar_1 = require("./toolbar");
const defaultStaticStyle_1 = require("../../statistic/defaultStaticStyle");
const orderListContext_1 = require("./shared/orderListContext");
const provider_1 = require("../../provider");
const OrdersView = (props) => {
    return ((0, jsx_runtime_1.jsx)(orderListContext_1.OrderListProvider, { cancelOrder: props.cancelOrder, editOrder: props.editOrder, cancelAlgoOrder: props.cancelAlgoOrder, editAlgoOrder: props.editAlgoOrder, children: (0, jsx_runtime_1.jsxs)(defaultStaticStyle_1.StatisticStyleProvider, { labelClassName: "orderly-text-3xs orderly-text-base-contrast/30", children: [(0, jsx_runtime_1.jsx)(toolbar_1.Toolbar, { onCancelAll: props.onCancelAll, onShowAllSymbolChange: props.onShowAllSymbolChange, showAllSymbol: props.showAllSymbol }), (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), (0, jsx_runtime_1.jsx)(listView_1.ListView.separated, { isLoading: props.isLoading, dataSource: props.dataSource, renderSeparator: (_, index) => (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), renderItem: (item, index) => ((0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: item.symbol, children: (0, jsx_runtime_1.jsx)(cell_1.OrderCell, { order: item, onSymbolChange: props.onSymbolChange }) })), loadMore: props.loadMore })] }) }));
};
exports.OrdersView = OrdersView;
//# sourceMappingURL=orders.js.map