import { API, OrderEntity } from "@orderly.network/types";
import { FC, PropsWithChildren } from "react";
export interface OrderListContextState {
    onCancelOrder: (order: API.Order) => Promise<any>;
    onEditOrder: (order: API.Order) => Promise<any>;
    editOrder: (id: string, order: OrderEntity) => Promise<any>;
    editAlgoOrder: (id: string, order: OrderEntity) => Promise<any>;
}
export declare const OrderListContext: import("react").Context<OrderListContextState>;
export interface OrderListProviderProps {
    cancelOrder: (orderId: number, symbol: string) => Promise<any>;
    editOrder: (orderId: string, order: OrderEntity) => Promise<any>;
    cancelAlgoOrder: (orderId: number, symbol: string) => Promise<any>;
    editAlgoOrder: (orderId: string, order: OrderEntity) => Promise<any>;
}
export declare const OrderListProvider: FC<PropsWithChildren<OrderListProviderProps>>;
//# sourceMappingURL=orderListContext.d.ts.map