"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChainCell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icon_1 = require("../../../icon");
const tag_1 = require("../../../tag");
const lucide_react_1 = require("lucide-react");
const ChainCell = (props) => {
    const { id, bridgeless, onClick, name, selected } = props;
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-p-4 hover:orderly-bg-base-contrast/5 orderly-cursor-pointer orderly-rounded orderly-font-semibold desktop:orderly-p-3", onClick: () => {
            onClick?.({
                id,
                name,
            });
        }, children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex-1 orderly-flex orderly-items-center orderly-space-x-3 orderly-text-3xs orderly-text-base-contrast-80 desktop:orderly-space-x-2", children: [(0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { type: "chain", id: id, rounded: true }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-chain-symbol-name", children: name }), bridgeless && (0, jsx_runtime_1.jsx)(tag_1.Tag, { color: "primary", children: "Bridgeless" })] }), selected && (
            // @ts-ignore
            (0, jsx_runtime_1.jsx)(lucide_react_1.Circle, { className: "orderly-fill-primary-light orderly-stroke-none orderly-w-[8px] orderly-h-[8px] desktop:orderly-ml-1" }))] }));
};
exports.ChainCell = ChainCell;
//# sourceMappingURL=chainCell.js.map