"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChainListView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const chainCell_1 = require("./chainCell");
const ChainListView = (props) => {
    const mainnet = (0, react_1.useMemo)(() => {
        if (!props.mainChains || props.mainChains.length === 0) {
            return null;
        }
        return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [props.testChains && props.testChains.length > 0 && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-uppercase orderly-text-base-contrast/50 orderly-text-4xs orderly-mb-2 desktop:orderly-ml-3", children: "mainnet" })), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-flex-col", children: props.mainChains.map((chain, index) => {
                        return ((0, jsx_runtime_1.jsx)(chainCell_1.ChainCell, { name: chain.name, id: chain.chain_id, onClick: props.onItemClick, bridgeless: chain.bridgeless, selected: props.currentChainId === chain.chain_id }, chain.chain_id));
                    }) })] }));
    }, [props.mainChains, props.testChains, props.currentChainId]);
    const testnet = (0, react_1.useMemo)(() => {
        if (!props.testChains || props.testChains.length === 0) {
            return null;
        }
        return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [props.mainChains && props.mainChains.length > 0 && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-uppercase orderly-text-base-contrast/50 orderly-text-4xs orderly-mb-2 desktop:orderly-ml-3", children: "testnet" })), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-flex-col", children: props.testChains.map((chain, index) => {
                        return ((0, jsx_runtime_1.jsx)(chainCell_1.ChainCell, { name: chain.name, id: chain.chain_id, onClick: props.onItemClick, bridgeless: chain.bridgeless, selected: props.currentChainId === chain.chain_id }, chain.chain_id));
                    }) })] }));
    }, [props.testChains, props.mainChains, props.currentChainId]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-chain-list orderly-pt-5 desktop:orderly-pt-2", children: [mainnet, testnet] }));
};
exports.ChainListView = ChainListView;
//# sourceMappingURL=chainListView.js.map