"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenCell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icon_1 = require("../../../icon");
const spinner_1 = require("../../../spinner");
const text_1 = require("../../../text");
const useGetBalance_1 = require("./useGetBalance");
const TokenCell = (props) => {
    const { token } = props;
    const { balance, loading } = (0, useGetBalance_1.useGetBalance)(token, props.fetchBalance);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-token-select-list-item orderly-flex orderly-cursor-pointer hover:orderly-bg-base-800", onClick: () => {
            props.onItemClick(token);
        }, children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex-1 orderly-flex orderly-space-x-2 orderly-items-center", children: [(0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { type: "token", name: token.symbol, rounded: true }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-token-select-list-item-left orderly-flex orderly-flex-col", children: [(0, jsx_runtime_1.jsx)("span", { children: token.symbol }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-4xs orderly-text-base-contrast/50", children: token.symbol })] })] }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-token-select-list-item-right orderly-flex-1 orderly-flex orderly-items-center", children: loading ? ((0, jsx_runtime_1.jsx)(spinner_1.Spinner, { size: "small" })) : ((0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: 2, padding: false, children: balance })) })] }));
};
exports.TokenCell = TokenCell;
//# sourceMappingURL=tokenCell.js.map