"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenListView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const divider_1 = require("../../../divider");
const listView_1 = require("../../../listView");
const tokenCell_1 = require("./tokenCell");
const TokenListView = (props) => {
    const renderItem = (item) => {
        return ((0, jsx_runtime_1.jsx)(tokenCell_1.TokenCell, { token: item, onItemClick: props.onItemClick, fetchBalance: props.fetchBalance }));
    };
    const renderSeparator = () => {
        return (0, jsx_runtime_1.jsx)(divider_1.Divider, {});
    };
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-token-select-list-header orderly-flex orderly-border-b orderly-border-base-contrast/20 orderly-py-2 orderly-mb-3", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-flex-1 orderly-text-4xs orderly-text-base-contrast/50", children: "Coin" }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-flex-1 orderly-text-4xs orderly-text-base-contrast/50", children: "Wallet Balance" })] }), (0, jsx_runtime_1.jsx)(listView_1.ListView.separated, { dataSource: props.tokens, renderItem: renderItem, renderSeparator: renderSeparator })] }));
};
exports.TokenListView = TokenListView;
//# sourceMappingURL=tokenListView.js.map