import { FC } from "react";
import { API, CurrentChain } from "@orderly.network/types";
import { Chains } from "@orderly.network/hooks/esm/orderly/useChains";
export type Wallet = {
    address: string;
    icon: string;
    label: string;
};
export interface WalletPickerProps {
    chain: CurrentChain | null;
    address?: string;
    settingChain?: boolean;
    onOpenPicker?: () => void;
    onChainChange?: (chain: any) => void;
    onChainInited?: (chain: API.Chain) => void;
    chains?: Chains<undefined, undefined>;
}
export declare const WalletPicker: FC<WalletPickerProps>;
//# sourceMappingURL=walletPicker.d.ts.map