"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloseBaseConfirm = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const confrimFooter_1 = require("./confrimFooter");
const confirmHeader_1 = require("./confirmHeader");
const utils_1 = require("@orderly.network/utils");
const CloseBaseConfirm = (props) => {
    const onCancel = () => {
        props.onClose();
    };
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(confirmHeader_1.ConfirmHeader, { onClose: onCancel, title: "Market Close" }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast orderly-text-sm orderly-mt-5", children: `You agree closing ${(0, utils_1.commify)(props.quantity)} ${props.base} position at market price.` }), (0, jsx_runtime_1.jsx)(confrimFooter_1.ConfirmFooter, { onCancel: onCancel, onConfirm: props.onConfirm, submitting: props.submitting })] }));
};
exports.CloseBaseConfirm = CloseBaseConfirm;
//# sourceMappingURL=marketConfirmDialog.js.map