import { API, OrderType } from "@orderly.network/types";
import { FC, PropsWithChildren } from "react";
import { OrderSide } from "@orderly.network/types";
export interface PositionsRowContextState {
    quantity: string;
    price: string;
    type: OrderType;
    side: OrderSide;
    position: API.PositionExt;
    updateQuantity: (value: string) => void;
    updatePriceChange: (value: string) => void;
    updateOrderType: (value: OrderType, price?: string) => void;
    closeOrderData: any;
    onSubmit: () => Promise<any>;
    submitting: boolean;
}
export declare const PositionsRowContext: import("react").Context<PositionsRowContextState>;
export declare const usePositionsRowContext: () => PositionsRowContextState;
export declare const PositionsRowProvider: FC<PropsWithChildren<{
    position: API.PositionExt;
}>>;
//# sourceMappingURL=positionRowContext.d.ts.map