"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarkPriceConfirm = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const utils_1 = require("@orderly.network/utils");
const MarkPriceConfirm = (props) => {
    const { position } = props;
    const symbolInfo = (0, hooks_1.useSymbolsInfo)()[position?.symbol];
    const base = (0, react_1.useMemo)(() => symbolInfo("base"), [symbolInfo]);
    return ((0, jsx_runtime_1.jsx)("div", { children: (0, jsx_runtime_1.jsxs)("div", { id: "orderly-market-close-dialog-content", className: "orderly-text-2xs orderly-text-base-contrast-54 desktop:orderly-text-sm", children: ["You will close", " ", (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-warning", children: `${(0, utils_1.commify)(position.position_qty)} ${base}` }), " ", "position at market price."] }) }));
};
exports.MarkPriceConfirm = MarkPriceConfirm;
//# sourceMappingURL=markPriceConfirm.js.map