"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useChainNotSupport = void 0;
const react_1 = require("react");
function useChainNotSupport(chain, chains) {
    const [chainNotSupport, setChainNotSupport] = (0, react_1.useState)(false);
    const checkSupport = (chain, chains) => {
        if (!chain || !chains)
            return false;
        const index = chains?.findIndex((c) => c.chain_id === chain.id);
        return index < 0;
    };
    (0, react_1.useEffect)(() => {
        setChainNotSupport(checkSupport(chain, chains));
    }, [chains, chain]);
    return chainNotSupport;
}
exports.useChainNotSupport = useChainNotSupport;
//# sourceMappingURL=useChainNotSupport.js.map