import { FC } from "react";
import { API, CurrentChain, WithdrawStatus } from "@orderly.network/types";
export interface WithdrawProps {
    status?: WithdrawStatus;
    chains: API.NetworkInfos[];
    chain: CurrentChain | null;
    address?: string;
    walletName?: string;
    decimals: number;
    minAmount: number;
    maxAmount: number;
    availableBalance: number;
    unsettledPnL: number;
    hasPositions: boolean;
    switchChain: (options: {
        chainId: string;
    }) => Promise<any>;
    onWithdraw: (inputs: {
        chainId: number;
        token: string;
        amount: string;
        allowCrossChainWithdraw: boolean;
    }) => Promise<any>;
    onOk?: (data: any) => void;
}
export declare const WithdrawForm: FC<WithdrawProps>;
//# sourceMappingURL=withdrawForm.d.ts.map