"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiginGuardButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const _1 = __importDefault(require("."));
const SiginGuardButton = (props) => {
    const { state } = (0, hooks_1.useAccount)();
    // const connected = false;
    if (state.status === types_1.AccountStatusEnum.NotSignedIn) {
        if (typeof props.placeholder === "undefined") {
            return ((0, jsx_runtime_1.jsx)(_1.default, { fullWidth: true, onClick: () => { }, type: "button", children: "Connect wallet" }));
        }
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: props.placeholder });
    }
    return (0, jsx_runtime_1.jsx)("div", { children: props.children });
};
exports.SiginGuardButton = SiginGuardButton;
//# sourceMappingURL=siginGuardButton.js.map