"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const CheckboxPrimitive = __importStar(require("@radix-ui/react-checkbox"));
const css_1 = require("../utils/css");
const icon_1 = require("../icon");
const Checkbox = React.forwardRef(({ className, ...props }, ref) => {
    return ((0, jsx_runtime_1.jsx)(CheckboxPrimitive.Root, { ref: ref, className: (0, css_1.cn)("orderly-checkbox", "orderly-peer orderly-h-[20px] orderly-w-[20px] orderly-shrink-0 disabled:orderly-cursor-not-allowed", "orderly-rounded-[2px] orderly-ring-offset-base-700 focus-visible:orderly-outline-none focus-visible:orderly-ring-2 focus-visible:orderly-ring-ring focus-visible:orderly-ring-offset-2", 
        // 'orderly-border-2 orderly-border-base-contrast-54 disabled:orderly-opacity-50 data-[state=checked]:desktop:orderly-bg-base-contrast data-[state=checked]:orderly-text-primary-foreground'
        className), ...props, children: props.checked ? (0, jsx_runtime_1.jsx)(icon_1.CheckIcon, { size: 20 }) : (0, jsx_runtime_1.jsx)(icon_1.UncheckIcon, { size: 20 }) }));
});
exports.Checkbox = Checkbox;
Checkbox.displayName = CheckboxPrimitive.Root.displayName;
//# sourceMappingURL=checkbox.js.map