"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const collapseContext_1 = require("./collapseContext");
const panel_1 = require("./panel");
const CollapseRoot = (props) => {
    const [activeKey, setActiveKey] = (0, react_1.useState)(props.activeKey ?? "");
    return ((0, jsx_runtime_1.jsx)(collapseContext_1.CollapseContext.Provider, { value: { activeKey, setActiveKey }, children: props.children }));
};
const Collapse = CollapseRoot;
Collapse.panel = panel_1.Panel;
exports.default = Collapse;
//# sourceMappingURL=collapse.js.map