"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugPrinter = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("@orderly.network/hooks");
const react_1 = require("react");
// import diff from "deep-diff";
const DebugPrinter = () => {
    const [info, setInfo] = (0, react_1.useState)();
    const prevInfo = (0, react_1.useRef)(info);
    const ee = (0, hooks_1.useEventEmitter)();
    (0, react_1.useEffect)(() => {
        window.__ORDERLY__DEBUGER = {};
    }, []);
    (0, react_1.useEffect)(() => {
        const print = (data) => {
            setInfo(data);
            // const differences = diff.diff(prevInfo.current, data);
            // console.log(differences);
            //   const error = new Error();
            //   const stack = error
            //     .stack!.split("\n")
            //     .slice(2)
            //     .map((line) => line.replace(/\s+at\s+/, ""))
            //     .join("\n");
            //   console.log(stack);
        };
        ee.on("print:data", print);
        return () => {
            ee.off("print:data", print);
        };
    }, []);
    // Save the most recent data for comparison
    (0, react_1.useEffect)(() => {
        setTimeout(() => {
            prevInfo.current = info;
        }, 200);
    }, [info]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-fixed orderly-left-3 orderly-bottom-10 orderly-min-w-[300px] orderly-bg-base-700/70 orderly-z-50 orderly-rounded !orderly-text-xs orderly-grid orderly-grid-cols-2 orderly-max-h-screen orderly-overflow-y-auto  orderly-pointer-events-none", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-border-r orderly-border-base-500 orderly-p-2", children: [(0, jsx_runtime_1.jsx)("div", { children: "Prev" }), (0, jsx_runtime_1.jsx)("pre", { children: JSON.stringify(prevInfo.current, null, 2) })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-p-2", children: [(0, jsx_runtime_1.jsx)("div", { children: "New" }), (0, jsx_runtime_1.jsx)("pre", { children: JSON.stringify(info, null, 2) })] })] }));
};
exports.DebugPrinter = DebugPrinter;
//# sourceMappingURL=dataConsole.js.map