import * as React from "react";
import * as HoverCardPrimitive from "@radix-ui/react-hover-card";
declare const HoverCardRoot: React.FC<HoverCardPrimitive.HoverCardProps>;
declare const HoverCardTrigger: React.ForwardRefExoticComponent<HoverCardPrimitive.HoverCardTriggerProps & React.RefAttributes<HTMLAnchorElement>>;
declare const HoverCardContent: React.ForwardRefExoticComponent<Omit<HoverCardPrimitive.HoverCardContentProps & React.RefAttributes<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
export interface HoverCardProps extends React.ComponentPropsWithoutRef<typeof HoverCardPrimitive.Root> {
    className?: string;
    content: React.ReactNode;
}
declare const HoverCard: React.FC<HoverCardProps & React.ComponentPropsWithoutRef<typeof HoverCardPrimitive.Content>>;
export { HoverCard, HoverCardRoot, HoverCardTrigger, HoverCardContent };
//# sourceMappingURL=hoverCard.d.ts.map