"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Coin = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../utils/css");
const react_1 = __importStar(require("react"));
// TODO: add icon generate adpater
const Coin = (props) => {
    const [url, setUrl] = react_1.default.useState();
    (0, react_1.useEffect)(() => {
        const img = new Image();
        img.onload = function () {
            setUrl(img.src);
        };
        img.onerror = function () { };
        // crypto logos
        // https://cryptologos.cc/logos/
        // img.src = `https://cryptologos.cc/logos/${props.name.toLowerCase()}-${props.size}.png?v=010`;
        img.src = `https://oss.orderly.network/static/symbol_logo/${props.name.toUpperCase()}.png`;
    }, []);
    const icon = (0, react_1.useMemo)(() => {
        if (!url) {
            return null;
        }
        return (0, jsx_runtime_1.jsx)("img", { src: url, alt: props.name });
    }, [url]);
    const size = (0, react_1.useMemo)(() => {
        if (typeof props.size === "undefined")
            return "24px";
        if (props.size === "small")
            return "16px";
        if (props.size === "medium")
            return "24px";
        if (props.size === "large")
            return "32px";
        return `${props.size}px`;
    }, [props.size]);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-inline-block", props.className), style: {
            width: size,
            height: size,
            backgroundColor: props.backgroundColor,
        }, children: icon }));
};
exports.Coin = Coin;
//# sourceMappingURL=coin.js.map