import { FC } from "react";
import { Size } from "./types";
export type NetworkImageType = "symbol" | "chain" | "token" | "placeholder" | "path" | "unknown" | "wallet";
export interface NetworkImageProps {
    name?: string;
    path?: string;
    id?: number;
    size?: Size | number;
    backgroundColor?: string;
    className?: string;
    rounded?: boolean;
    type: NetworkImageType;
    symbol?: string;
}
export declare const NetworkImage: FC<NetworkImageProps>;
//# sourceMappingURL=networkImage.d.ts.map