"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SvgImage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const SvgImage = (props) => {
    const size = (0, react_1.useMemo)(() => {
        if (typeof props.size === "undefined")
            return "20px";
        if (props.size === "small")
            return "16px";
        if (props.size === "medium")
            return "24px";
        if (props.size === "large")
            return "32px";
        return `${props.size}px`;
    }, [props.size]);
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-inline-block orderly-overflow-hidden orderly-p-[3px]", style: {
            width: size,
            height: size,
            backgroundColor: props.backgroundColor ?? "#FFF",
            borderRadius: props.rounded ? "50%" : "0",
        }, dangerouslySetInnerHTML: { __html: props.svg ?? "" } }));
};
exports.SvgImage = SvgImage;
//# sourceMappingURL=svgImage.js.map