import { FC, PropsWithChildren } from "react";
export type LayoutContextState = {
    siderWidth: number;
    headerHeight: number;
    footerHeight: number;
    pageHeaderHeight?: number;
    pageFooterHeight?: number;
    setSiderWidth: (width: number) => void;
    setHeaderHeight: (height: number) => void;
    setFooterHeight: (height: number) => void;
    setPageHeaderHeight: (height: number) => void;
    setPageFooterHeight: (height: number) => void;
    isTopLevel?: boolean;
};
export declare const LayoutContext: import("react").Context<LayoutContextState>;
export declare const LayoutProvider: FC<PropsWithChildren>;
//# sourceMappingURL=layoutContext.d.ts.map