"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const illustration_1 = require("../illustration");
const react_1 = require("react");
const EmptyView = (props) => {
    const icon = (0, react_1.useMemo)(() => {
        return (0, jsx_runtime_1.jsx)(illustration_1.NoData, {});
    }, [props.icon]);
    const text = (0, react_1.useMemo)(() => {
        return (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-3xs", children: "No results found." });
    }, [props.text]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-col orderly-items-center orderly-justify-center orderly-min-h-[180px]", children: [(0, jsx_runtime_1.jsx)("div", { children: icon }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-base-contrast-54", children: text })] }));
};
exports.EmptyView = EmptyView;
//# sourceMappingURL=emptyView.js.map