"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EndReachedBox = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const useEndReached_1 = require("./useEndReached");
const EndReachedBox = (props) => {
    const sentinelRef = (0, react_1.useRef)(null);
    const { onEndReached } = props;
    (0, useEndReached_1.useEndReached)(sentinelRef, () => {
        onEndReached?.();
    });
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [props.children, (0, jsx_runtime_1.jsx)("div", { ref: sentinelRef, className: "orderly-relative orderly-invisible orderly-h-[1px] orderly-top-[-300px]" })] }));
};
exports.EndReachedBox = EndReachedBox;
//# sourceMappingURL=endReachedBox.js.map