import { ListTile } from "./listTile";
import { ListView } from "./listView";
import { SeparatedListView } from "./separated";
import { EmptyView } from "./emptyView";
import { ListTileForSymbol } from "./listTileForSymbol";
type ListViewType = typeof ListView & {
    separated: typeof SeparatedListView;
    listTile: typeof ListTile;
    emptyView: typeof EmptyView;
    symbolTile: typeof ListTileForSymbol;
};
declare const Component: ListViewType;
type ListTileComponent = typeof ListTile & {
    symbol: typeof ListTileForSymbol;
};
declare const ListTileComponent: ListTileComponent;
export { Component as ListView, ListTileComponent as ListTile };
//# sourceMappingURL=index.d.ts.map