"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListTileForSymbol = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const listTile_1 = require("./listTile");
const ListTileForSymbol = (props) => {
    const { symbol, ...rest } = props;
    const { coin, title } = (0, react_1.useMemo)(() => {
        const arr = symbol.split("_");
        return {
            coin: arr[1],
            title: `${arr[1]}-${arr[0]}`,
        };
    }, [symbol]);
    return ((0, jsx_runtime_1.jsx)(listTile_1.ListTile, { ...rest, avatar: {
            type: "coin",
            // @ts-ignore
            name: coin,
        }, title: title }));
};
exports.ListTileForSymbol = ListTileForSymbol;
//# sourceMappingURL=listTileForSymbol.js.map