"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecondaryLogo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const appProvider_1 = require("../provider/appProvider");
const networkImage_1 = require("../icon/networkImage");
const SecondaryLogo = (props) => {
    const { appIcons } = (0, react_1.useContext)(appProvider_1.OrderlyAppContext);
    if (!appIcons)
        return null;
    const { secondary } = appIcons;
    if (secondary?.component) {
        return secondary.component;
    }
    if (secondary?.img) {
        return ((0, jsx_runtime_1.jsx)(networkImage_1.NetworkImage, { size: props.size, type: "path", rounded: true, path: secondary.img }));
    }
    return null;
};
exports.SecondaryLogo = SecondaryLogo;
//# sourceMappingURL=secondaryLogo.js.map