"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.modal = exports.modalPerset = exports.useModal = void 0;
const modalContext_1 = require("./modalContext");
const modalHelper_1 = require("./modalHelper");
const sheet_1 = require("./preset/sheet");
const alert_1 = require("./preset/alert");
const dialog_1 = require("./preset/dialog");
const confirm_1 = require("./preset/confirm");
const actionSheet_1 = require("../modal/preset/actionSheet");
// @ebay/nice-modal-react
var useModal_1 = require("./useModal");
Object.defineProperty(exports, "useModal", { enumerable: true, get: function () { return useModal_1.useModal; } });
exports.modalPerset = {};
exports.modal = {
    register: modalHelper_1.register,
    unregister: modalHelper_1.unregister,
    ...modalContext_1.modalActions,
    actionSheet: actionSheet_1.actionSheet,
    confirm: confirm_1.confirm,
    alert: alert_1.alert,
    sheet: sheet_1.sheet,
    dialog: dialog_1.dialog,
    // alert
    //actionSheet
    /// toast
};
//# sourceMappingURL=index.js.map