"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.actionSheet = exports.InnerActionSheet = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const modalHelper_1 = require("../../modal/modalHelper");
const modal_1 = require("../../modal");
const modalContext_1 = require("../../modal/modalContext");
const actionSheet_1 = require("../../sheet/actionSheet/actionSheet");
const react_1 = require("react");
exports.InnerActionSheet = (0, modalHelper_1.create)((props) => {
    const { visible, hide, remove } = (0, modal_1.useModal)();
    (0, react_1.useEffect)(() => {
        return () => {
            remove();
        };
    }, []);
    return ((0, jsx_runtime_1.jsx)(actionSheet_1.ActionSheet, { open: visible, onClose: hide, actionSheets: props.items }));
});
/**
 * show action sheet
 * @param items
 */
const actionSheet = (items) => {
    return modalContext_1.modalActions.show(exports.InnerActionSheet, { items });
};
exports.actionSheet = actionSheet;
//# sourceMappingURL=actionSheet.js.map