/// <reference types="react" />
export interface ConfirmProps {
    title?: string;
    content?: React.ReactNode;
    footer?: React.ReactNode;
    onOk?: () => Promise<any>;
    onCancel?: () => Promise<any>;
    contentClassName?: string;
    maxWidth?: "xs" | "sm" | "lg" | "xl" | null | undefined;
    closeableSize?: number;
}
export declare const confirm: (props: ConfirmProps) => Promise<unknown>;
//# sourceMappingURL=confirm.d.ts.map