"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const simpleDialog_1 = require("../../dialog/simpleDialog");
const modal_1 = require("../../modal");
const modalHelper_1 = require("../../modal/modalHelper");
const modalContext_1 = require("../../modal/modalContext");
const dialog_1 = require("../../dialog");
const Dialog = (0, modalHelper_1.create)((props) => {
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    return ((0, jsx_runtime_1.jsx)(simpleDialog_1.SimpleDialog, { open: visible, title: props.title, closable: true, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsx)(dialog_1.DialogBody, { children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-py-5 orderly-text-[12px]", children: props.content }) }) }));
});
const dialog = (props) => {
    return modalContext_1.modalActions.show(Dialog, props);
};
exports.dialog = dialog;
//# sourceMappingURL=dialog.js.map