"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModalId = void 0;
const symModalId = Symbol("modalId");
let uidSeed = 0;
const getUid = () => `__modal_${uidSeed++}`;
const getModalId = (modal) => {
    if (typeof modal === "string")
        return modal;
    if (!modal[symModalId]) {
        modal[symModalId] = getUid();
    }
    return modal[symModalId];
};
exports.getModalId = getModalId;
//# sourceMappingURL=utils.js.map