"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountInfoElement = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const desktop_1 = require("../../../../block/accountStatus/desktop");
const react_1 = require("react");
const tradingPageContext_1 = require("../../context/tradingPageContext");
const features_1 = require("../../features");
const divider_1 = require("../../../../divider");
exports.AccountInfoElement = (0, react_1.memo)(() => {
    const { disableFeatures } = (0, tradingPageContext_1.useTradingPageContext)();
    if (disableFeatures?.includes(features_1.TradingFeatures.AssetAndMarginInfo))
        return null;
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-px-4", children: (0, jsx_runtime_1.jsx)(desktop_1.AccountInfo, {}) }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-my-3" })] }));
});
//# sourceMappingURL=accountInfo.js.map