"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DecimalPrecisionCheckbox = exports.DecimalPrecisionType = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const lucide_react_1 = require("lucide-react");
var DecimalPrecisionType;
(function (DecimalPrecisionType) {
    DecimalPrecisionType[DecimalPrecisionType["ZERO"] = 0] = "ZERO";
    DecimalPrecisionType[DecimalPrecisionType["ONE"] = 1] = "ONE";
    DecimalPrecisionType[DecimalPrecisionType["TWO"] = 2] = "TWO";
})(DecimalPrecisionType || (exports.DecimalPrecisionType = DecimalPrecisionType = {}));
const DecimalPrecisionCheckbox = ({ value, onValueChange }) => {
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-space-x-3", children: [(0, jsx_runtime_1.jsx)(DecimalPrecisionItem, { active: value === DecimalPrecisionType.ZERO, label: "1", value: DecimalPrecisionType.ZERO, onClick: onValueChange }), (0, jsx_runtime_1.jsx)(DecimalPrecisionItem, { active: value === DecimalPrecisionType.ONE, label: "0.1", value: DecimalPrecisionType.ONE, onClick: onValueChange }), (0, jsx_runtime_1.jsx)(DecimalPrecisionItem, { active: value === DecimalPrecisionType.TWO, label: "0.01", value: DecimalPrecisionType.TWO, onClick: onValueChange })] }));
};
exports.DecimalPrecisionCheckbox = DecimalPrecisionCheckbox;
const DecimalPrecisionItem = (props) => {
    let clsName = "orderly-flex orderly-items-center orderly-gap-1 orderly-cursor-pointer";
    if (props.active) {
        clsName += " orderly-text-base-contrast";
    }
    else {
        clsName += " orderly-text-base-contrast-54";
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: clsName, onClick: () => {
            props.onClick(props.active ? "" : props.value);
        }, children: [(0, jsx_runtime_1.jsx)("button", { type: "button", className: "orderly-w-[14px] orderly-h-[14px] orderly-rounded-full orderly-border-2 orderly-border-base-contrast-20", children: props.active && (
                // @ts-ignore
                (0, jsx_runtime_1.jsx)(lucide_react_1.Circle, { className: "orderly-w-[10px] orderly-h-[10px] orderly-text-base-contrast orderly-bg-base-contrast orderly-rounded-full" })) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs", children: props.label })] }));
};
//# sourceMappingURL=decimalPrecisionCheckBox.js.map