"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositionPane = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const positions_1 = require("../../../../../../block/positions");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const hooks_2 = require("@orderly.network/hooks");
const page_1 = require("../../../../../../page");
const tabContext_1 = require("../../../../../../tab/tabContext");
const PositionPane = (props) => {
    const context = (0, react_1.useContext)(page_1.TradingPageContext);
    const { data: tabExtraData } = (0, tabContext_1.useTabContext)();
    const calcMode = tabExtraData.unPnlPriceBasis === 0 ? "markPrice" : "lastPrice";
    const [data, info, { loading }] = (0, hooks_1.usePositionStream)(tabExtraData.showAllSymbol ? "" : context.symbol, { calcMode });
    const { state } = (0, hooks_2.useAccount)();
    return ((0, jsx_runtime_1.jsx)(positions_1.PositionsViewFull, { dataSource: state.status < types_1.AccountStatusEnum.EnableTrading ? [] : data.rows, aggregated: data.aggregated, isLoading: loading, showAllSymbol: tabExtraData.showAllSymbol, onSymbolChange: context.onSymbolChange, ...props }));
};
exports.PositionPane = PositionPane;
//# sourceMappingURL=index.js.map