"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TickerMask = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../../../../../utils/css");
const lucide_react_1 = require("lucide-react");
const TickerMask = (props) => {
    if (!props.visible)
        return null;
    const icon = props.tailing ? (
    // @ts-ignore
    (0, jsx_runtime_1.jsx)(lucide_react_1.ChevronRight, { className: "orderly-text-base-contrast-54 hover:orderly-text-base-contrast-80" })) : (
    // @ts-ignore
    (0, jsx_runtime_1.jsx)(lucide_react_1.ChevronLeft, { className: "orderly-text-base-contrast-54 hover:orderly-text-base-contrast-80" }));
    return ((0, jsx_runtime_1.jsx)("button", { onClick: () => {
            props.onClick?.(props.leading ? "left" : "right");
        }, className: (0, css_1.cn)("orderly-absolute orderly-top-0 orderly-bottom-0 orderly-w-[70px] orderly-flex orderly-items-center", {
            "orderly-left-0 orderly-bg-gradient-to-r orderly-from-[10%] orderly-from-base-900 orderly-to-base-900/10  orderly-pl-1": props.leading,
            "orderly-right-0 orderly-bg-gradient-to-r orderly-from-base-900/10 orderly-to-[70%] orderly-to-base-900 orderly-justify-end orderly-pr-1": props.tailing,
        }), children: icon }));
};
exports.TickerMask = TickerMask;
//# sourceMappingURL=tickerMask.js.map