"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MyOrderBookAndTrade = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const tab_1 = require("../../../../../tab");
const react_1 = require("react");
const tradingHistory_1 = require("./tradingHistory");
const orderbook_1 = require("./orderbook");
const symbolProvider_1 = require("../../../../../provider/symbolProvider");
const MyOrderBookAndTrade = (props) => {
    const [value, setValue] = (0, react_1.useState)("orderbook");
    return ((0, jsx_runtime_1.jsx)(symbolProvider_1.SymbolProvider, { symbol: props.symbol, children: (0, jsx_runtime_1.jsxs)(tab_1.Tabs, { value: value, onTabChange: (value) => setValue(value), allowUngroup: true, fullWidth: true, keepAlive: true, autoFit: true, minWidth: 300, tabBarClassName: "orderly-h-[48px] orderly-text-sm", children: [(0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Orderbook", value: "orderbook", children: (0, jsx_runtime_1.jsx)(orderbook_1.MemorizedOrderBook, { symbol: props.symbol, className: "orderly-pl-3" }) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "Last trades", value: "tradeHistory", children: (0, jsx_runtime_1.jsx)(tradingHistory_1.MemorizedTradeHistoryFull, { symbol: props.symbol }) })] }) }));
};
exports.MyOrderBookAndTrade = MyOrderBookAndTrade;
//# sourceMappingURL=index.js.map