import { Extension, ExtensionPosition } from "./types";
export declare class OrderlyExtensionRegistry {
    private static _instance;
    static getInstance(): OrderlyExtensionRegistry;
    private extensionMap;
    register<Props>(plugin: Extension<Props>): void;
    private registerToPosition;
    unregister(plugin: Extension<unknown>): void;
    private unregisterFromPosition;
    getPluginsByPosition(position: ExtensionPosition): Extension<unknown> | undefined;
}
//# sourceMappingURL=registry.d.ts.map