"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Progress = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ProgressPrimitive = __importStar(require("@radix-ui/react-progress"));
const react_1 = require("react");
const css_1 = require("../utils/css");
const class_variance_authority_1 = require("class-variance-authority");
const progressVariantsBg = (0, class_variance_authority_1.cva)("", {
    variants: {
        variant: {
            solid: "orderly-bg-base-contrast/[.072]",
            gradient: "orderly-bg-gradient-to-l \
      orderly-from-[rgba(28,246,180,0.2)] \
      orderly-via-[rgba(229,191,115,0.2)] \
      orderly-via-[rgba(229,210,115,0.2)] \
      orderly-via-[rgba(229,229,115,0.2)] \
      orderly-to-[rgba(255,77,130,0.2)]",
        },
    },
    defaultVariants: {
        variant: "solid",
    },
});
const progressVariantsFg = (0, class_variance_authority_1.cva)("", {
    variants: {
        variant: {
            solid: "orderly-bg-primary",
            gradient: "orderly-bg-gradient-to-r \
      orderly-from-[rgba(255,77,130,1)] \
      orderly-to-[rgba(28,246,180,1)]",
        },
    },
    defaultVariants: {
        variant: "solid",
    },
});
const Progress = (0, react_1.forwardRef)(({ className, variant = "solid", backgoundClassName, foregroundClassName, value, ...props }, ref) => {
    return ((0, jsx_runtime_1.jsx)(ProgressPrimitive.Root, { ref: ref, className: (0, css_1.cn)("orderly-relative orderly-h-[8px] orderly-w-full orderly-overflow-hidden orderly-rounded-full", backgoundClassName ?? progressVariantsBg({ variant })), style: {
            // Fix overflow clipping in Safari
            // https://gist.github.com/domske/b66047671c780a238b51c51ffde8d3a0
            transform: "translateZ(0)",
        }, ...props, children: (0, jsx_runtime_1.jsx)(ProgressPrimitive.Indicator, { className: (0, css_1.cn)("orderly-h-full orderly-w-full orderly-flex-1 orderly-transition-all orderly-rounded-full", foregroundClassName ?? progressVariantsFg({ variant })), style: { width: `${value || 0}%` } }) }));
});
exports.Progress = Progress;
Progress.displayName = ProgressPrimitive.Root.displayName;
//# sourceMappingURL=index.js.map