"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionSheetContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const actionItem_1 = require("./actionItem");
const react_1 = require("react");
const actionDivision_1 = require("../../sheet/actionSheet/actionDivision");
const divider_1 = require("../../divider");
const ActionSheetContent = (props) => {
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: props.actionSheets.map((action, index) => {
            if (action.type === "division") {
                return (0, jsx_runtime_1.jsx)(actionDivision_1.ActionDivision, {}, index);
            }
            return ((0, jsx_runtime_1.jsxs)(react_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(actionItem_1.ActionItem, { onClick: (value) => {
                            //
                            if (value.value === "cancel") {
                                return;
                            }
                            if (typeof action.onClick === "function") {
                                action.onClick(action);
                                // props.onClose();
                            }
                            else {
                                props.onValueChange?.(value);
                                props.onClose?.();
                            }
                            // props.onClose();
                        }, index: index, action: action, active: typeof props.value !== "undefined" &&
                            props.value.value === action.value }), index < props.actionSheets.length - 1 && ((0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-border-base-contrast/10" }))] }, action.value || index));
        }) }));
};
exports.ActionSheetContent = ActionSheetContent;
//# sourceMappingURL=actionSheetContent.js.map