import * as React from "react";
import * as SwitchPrimitives from "@radix-ui/react-switch";
import { VariantProps } from "class-variance-authority";
declare const switchVariants: (props?: ({
    color?: "primary" | "profit" | "loss" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
interface SwitchProps extends Omit<React.ComponentPropsWithoutRef<typeof SwitchPrimitives.Root>, "color">, VariantProps<typeof switchVariants> {
    thumbClassName?: string;
}
declare const Switch: React.ForwardRefExoticComponent<SwitchProps & React.RefAttributes<HTMLButtonElement>>;
export { Switch };
//# sourceMappingURL=switch.d.ts.map