"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tab = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../utils/css");
const constants_1 = require("./constants");
const Tab = (props) => {
    const { active, disabled, title, fullWidth, mode } = props;
    return ((0, jsx_runtime_1.jsx)("button", { className: (0, css_1.cn)("orderly-text-base-contrast-36 desktop:orderly-text-base-contrast-54 orderly-h-full orderly-tab-item orderly-min-h-[32px] orderly-relative after:orderly-hidden after:orderly-content-[''] after:orderly-absolute after:orderly-bottom-0 after:orderly-left-0 after:orderly-right-0 after:orderly-h-[3px] after:desktop:orderly-h-[2px] after:orderly-bg-base-contrast", active &&
            mode === constants_1.TabViewMode.Tab &&
            "orderly-text-base-contrast desktop:orderly-text-base-contrast active after:orderly-block", disabled &&
            "orderly-cursor-not-allowed orderly-text-base-contrast-36 desktop:orderly-text-base-contrast-54", fullWidth && "orderly-flex-1"), "data-active": active, disabled: props.disabled, onClick: (event) => {
            props.onClick(props.value, event);
        }, id: `tab-${props.value}`, children: title }));
};
exports.Tab = Tab;
//# sourceMappingURL=tab.js.map