"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColGroupItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const ColGroupItem = (props) => {
    const { col: item } = props;
    const ref = (0, react_1.useRef)(null);
    const styles = (0, react_1.useMemo)(() => {
        const styles = {};
        if (item.width) {
            styles["width"] = `${item.width}px`;
        }
        return styles;
    }, [item]);
    return ((0, jsx_runtime_1.jsx)("col", { ref: ref, 
        // @ts-ignore
        className: item.className, align: item.align, style: styles }));
};
exports.ColGroupItem = ColGroupItem;
//# sourceMappingURL=colgroupItem.js.map