import { ReactNode } from "react";
import { Column } from "./col";
interface RowProps<RecordType> {
    columns: Column<RecordType>[];
    record: any;
    bordered?: boolean;
    justified?: boolean;
    index: number;
    rowKey: string;
    onRow?: (record: any, index: number) => any;
    expanded: boolean;
    canExpand?: boolean;
    expandRowRender?: (record: RecordType, index: number) => ReactNode;
    onToggleExpand: (key: string) => void;
}
export declare const Row: <RecordType>(props: RowProps<RecordType>) => import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=row.d.ts.map