import type { Column } from "./col";
import { TBodyProps } from "./tbody";
export interface TableProps<RecordType> extends TBodyProps<RecordType> {
    columns: Column<RecordType>[];
    dataSource?: RecordType[] | null;
    /**
     * @description loading state
     * @default false
     */
    loading?: boolean;
    className?: string;
    headerClassName?: string;
    showMaskElement?: boolean;
}
export declare const Table: <RecordType extends unknown>(props: TableProps<RecordType>) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=table.d.ts.map