"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const css_1 = require("../utils/css");
const colgroup_1 = require("./colgroup");
const theadCol_1 = require("./theadCol");
const TableHeader = (props) => {
    return ((0, jsx_runtime_1.jsxs)("table", { className: (0, css_1.cn)("orderly-ui-table-thead orderly-border-collapse orderly-w-full orderly-table-fixed orderly-sticky orderly-top-0 orderly-z-20", props.containerClassName), children: [(0, jsx_runtime_1.jsx)(colgroup_1.ColGroup, { columns: props.columns }), (0, jsx_runtime_1.jsx)("thead", { className: (0, css_1.cn)("orderly-sticky orderly-top-0 orderly-z-0", props.className), children: (0, jsx_runtime_1.jsx)("tr", { children: props.columns.map((column, index) => {
                        return ((0, jsx_runtime_1.jsx)(theadCol_1.TheadCol, { col: column, record: undefined, index: index, className: props.className, bordered: props.bordered }, index));
                    }) }) })] }));
};
exports.TableHeader = TableHeader;
//# sourceMappingURL=thead.js.map