"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumeralWithSymbol = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const numeral_1 = require("./numeral");
const hooks_1 = require("@orderly.network/hooks");
/**
 * Truncate according to the symbol configuration, need to be used with @orderly.network/hooks
 * @param props
 * @returns
 */
const NumeralWithSymbol = (props) => {
    //   const { data, isLoading, error } = useSymbolsInfo();
    const config = (0, hooks_1.useSymbolsInfo)()[props.symbol];
    return (0, jsx_runtime_1.jsx)(numeral_1.Numeral, { ...props, precision: config("quote_dp", 2) });
};
exports.NumeralWithSymbol = NumeralWithSymbol;
//# sourceMappingURL=numeralWithSymbol.js.map