import { jsx as _jsx } from "react/jsx-runtime";
import { ExtensionPosition } from "../../plugin";
import { installExtension } from "../../plugin/install";
import { ExtensionSlot } from "../../plugin/slot";
import { Deposit } from "../deposit/deposit";
installExtension({
    name: "default-deposit",
    scope: ["*"],
    positions: [ExtensionPosition.DepositForm],
    __isInternal: true,
})((props) => {
    return _jsx(Deposit, { onOk: props.onOk });
});
export const DepositSlot = (props) => {
    return (_jsx(ExtensionSlot, { position: ExtensionPosition.DepositForm, onOk: props.onOk }));
};
//# sourceMappingURL=slot.js.map