import { FC } from "react";
import { type MarketPriceProps } from "./marketPrice";
import { type FundingRateProps } from "./fundingRate";
export type MarketItem = "price" | "fundingRate";
export interface MarketOverviewProps {
    items?: Partial<{
        [key in MarketItem]: MarketPriceProps | FundingRateProps;
    }>;
}
export declare const MarketOverview: FC<MarketOverviewProps>;
//# sourceMappingURL=marketOverview.d.ts.map