import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useMemo } from "react";
import { Select } from "../../../select";
import { SIDE_OPTIONS, STATUS_OPTIONS } from "../shared/constants";
export const Header = (props) => {
    //   const [side, setSide] = useState<OrderSide | "">("");
    const sideOptions = useMemo(() => {
        return SIDE_OPTIONS;
    }, []);
    const statusOptions = useMemo(() => {
        return STATUS_OPTIONS;
    }, []);
    return (_jsx("div", { className: "orderly-flex orderly-justify-between orderly-items-center orderly-py-3", children: _jsxs("div", { className: "orderly-flex orderly-gap-2", children: [_jsx(Select, { size: "small", options: sideOptions, value: props.side, onChange: (value) => {
                        //   setSide(value as OrderSide);
                        props.onSideChange?.(value);
                        // props.onSearch?.({ side: value as OrderSide });
                    } }), _jsx(Select, { size: "small", options: statusOptions, value: props.status, onChange: (value) => {
                        props.onStatusChange?.(value);
                        // props.onSearch?.({ side: value as OrderSide });
                    } })] }) }));
};
//# sourceMappingURL=header.js.map