import { jsx as _jsx } from "react/jsx-runtime";
import { DesktopListBox } from "./listBox.desktop";
import { useMemo } from "react";
import { OrderBookCellType } from "../types";
export const DesktopAsks = (props) => {
    const { data } = props;
    const countQty = useMemo(() => {
        let max = Number.NaN;
        let len = data.length;
        let index = 0;
        while (Number.isNaN(max) && index < len) {
            max = data[index][2];
            index++;
        }
        return max;
    }, [data]);
    return (_jsx(DesktopListBox, { type: OrderBookCellType.ASK, data: data, countQty: countQty }));
};
//# sourceMappingURL=asks.desktop.js.map