import { jsx as _jsx } from "react/jsx-runtime";
import { Select } from "../../../select";
import { useMemo } from "react";
export const DesktopDepthSelect = (props) => {
    const options = useMemo(() => {
        return props.depth.map((d) => ({
            value: d,
            label: `${d}`,
        }));
    }, [props.depth]);
    return (_jsx("div", { className: "orderly-flex orderly-items-center orderly-justify-between orderly-pt-2 orderly-mr-3 orderly-pb-1", children: _jsx(Select, { options: options, fullWidth: true, size: "small", value: props.value, className: "orderly-text-4xs orderly-text-base-contrast-54 orderly-w-[103px] orderly-bg-base-700", contentClassName: "orderly-bg-base-800", onChange: (value) => {
                props.onChange?.(value);
            }, color: "default" }) }));
};
//# sourceMappingURL=depthSelect.desktop.js.map