import { FC, PropsWithChildren } from "react";
import { QtyMode, TotalMode } from "./types";
export interface OrderBookContextValue {
    cellHeight: number;
    mode: QtyMode;
    depth: number;
    onModeChange?: (mode: QtyMode) => void;
    onItemClick?: (item: number[]) => void;
    showTotal: boolean;
    totalMode: TotalMode;
    pendingOrders: number[];
    onTotalModeChange?: (mode: TotalMode) => void;
}
export declare const OrderBookContext: import("react").Context<OrderBookContextValue>;
interface OrderBookProviderProps {
    cellHeight: number;
    depth: number;
    showTotal: boolean;
    pendingOrders: number[];
    onItemClick?: (item: number[]) => void;
}
export declare const OrderBookProvider: FC<PropsWithChildren<OrderBookProviderProps>>;
export {};
//# sourceMappingURL=orderContext.d.ts.map