import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Divider } from "../../../divider";
import { ListView } from "../../../listView";
import { TokenCell } from "./tokenCell";
export const TokenListView = (props) => {
    const renderItem = (item) => {
        return (_jsx(TokenCell, { token: item, onItemClick: props.onItemClick, fetchBalance: props.fetchBalance }));
    };
    const renderSeparator = () => {
        return _jsx(Divider, {});
    };
    return (_jsxs(_Fragment, { children: [_jsxs("div", { className: "orderly-token-select-list-header orderly-flex orderly-border-b orderly-border-base-contrast/20 orderly-py-2 orderly-mb-3", children: [_jsx("span", { className: "orderly-flex-1 orderly-text-4xs orderly-text-base-contrast/50", children: "Coin" }), _jsx("span", { className: "orderly-flex-1 orderly-text-4xs orderly-text-base-contrast/50", children: "Wallet Balance" })] }), _jsx(ListView.separated, { dataSource: props.tokens, renderItem: renderItem, renderSeparator: renderSeparator })] }));
};
//# sourceMappingURL=tokenListView.js.map