import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { ConfirmFooter } from "./confrimFooter";
import { ConfirmHeader } from "./confirmHeader";
import { commify } from "@orderly.network/utils";
export const CloseBaseConfirm = (props) => {
    const onCancel = () => {
        props.onClose();
    };
    return (_jsxs(_Fragment, { children: [_jsx(ConfirmHeader, { onClose: onCancel, title: "Market Close" }), _jsx("div", { className: "orderly-text-base-contrast orderly-text-sm orderly-mt-5", children: `You agree closing ${commify(props.quantity)} ${props.base} position at market price.` }), _jsx(ConfirmFooter, { onCancel: onCancel, onConfirm: props.onConfirm, submitting: props.submitting })] }));
};
//# sourceMappingURL=marketConfirmDialog.js.map