import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useMemo } from "react";
import { useSymbolsInfo } from "@orderly.network/hooks";
import { commify } from "@orderly.network/utils";
export const MarkPriceConfirm = (props) => {
    const { position } = props;
    const symbolInfo = useSymbolsInfo()[position?.symbol];
    const base = useMemo(() => symbolInfo("base"), [symbolInfo]);
    return (_jsx("div", { children: _jsxs("div", { id: "orderly-market-close-dialog-content", className: "orderly-text-2xs orderly-text-base-contrast-54 desktop:orderly-text-sm", children: ["You will close", " ", _jsx("span", { className: "orderly-text-warning", children: `${commify(position.position_qty)} ${base}` }), " ", "position at market price."] }) }));
};
//# sourceMappingURL=markPriceConfirm.js.map