import { PosterLayoutConfig } from "@orderly.network/hooks/src/services/painter/basePaint";
export interface ShareConfigProps {
    pnl: {
        /**
         * defualt is Manrope
         */
        fontFamily?: string;
        /**
         * can not empty
         */
        backgroundImages: string[];
        /**
         * posterLayoutConfig
         */
        layout?: PosterLayoutConfig;
        /**
         * norma text color, default is  "rgba(255, 255, 255, 0.98)"
         */
        color?: string;
        /**
         * profit text color, default is "rgb(0,181,159)"
         */
        profitColor?: string;
        /**
         * loss text color, default is  "rgb(255,103,194)"
         */
        lossColor?: string;
        /**
         * brand color, default is "rgb(0,181,159)"
         */
        brandColor?: string;
    };
}
export declare const PnLDefaultProps: {
    fontFamily: string;
    color: string;
    profitColor: string;
    lossColor: string;
    brandColor: string;
};
//# sourceMappingURL=shareConfigProps.d.ts.map