import { Button as BaseButton, buttonVariants, ButtonProps } from "./button";
import { StatusGuardButton } from "./statusGuardButton";
import { SegmentedButton, type SegmentedButtonProps } from "./segmented";
type Button = typeof BaseButton & {
    buttonVariants: typeof buttonVariants;
    Segmented: typeof SegmentedButton;
    StatusGuardButton: typeof StatusGuardButton;
};
declare const Button: Button;
export type { SegmentedButtonProps, ButtonProps };
export { IconButton } from "./iconButton";
export default Button;
//# sourceMappingURL=index.d.ts.map