import { type PropsWithChildren, FC } from "react";
export type SegmentedItem = {
    label: string;
    value: string;
    disabled?: boolean;
    className?: string;
    activeClassName?: string;
    disabledClassName?: string;
};
export interface SegmentedButtonProps {
    buttons: SegmentedItem[];
    value?: string;
    onChange?: (value: string) => void;
}
export declare const SegmentedButton: FC<PropsWithChildren<SegmentedButtonProps>>;
//# sourceMappingURL=segmented.d.ts.map