import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { useAccount } from "@orderly.network/hooks";
import { AccountStatusEnum } from "@orderly.network/types";
import Button from ".";
export const SiginGuardButton = (props) => {
    const { state } = useAccount();
    // const connected = false;
    if (state.status === AccountStatusEnum.NotSignedIn) {
        if (typeof props.placeholder === "undefined") {
            return (_jsx(Button, { fullWidth: true, onClick: () => { }, type: "button", children: "Connect wallet" }));
        }
        return _jsx(_Fragment, { children: props.placeholder });
    }
    return _jsx("div", { children: props.children });
};
//# sourceMappingURL=siginGuardButton.js.map