import type { FC, PropsWithChildren, ReactNode } from "react";
export interface BaseDialogProps {
    open: boolean;
    title: ReactNode;
    closable?: boolean;
    closeableSize?: number;
    onOk?: () => Promise<any>;
    onCancel?: () => void;
    footer?: ReactNode;
    onOpenChange?(open: boolean): void;
    contentClassName?: string;
    maxWidth?: "xs" | "sm" | "lg" | "xl" | null | undefined;
}
export declare const SimpleDialog: FC<PropsWithChildren<BaseDialogProps>>;
//# sourceMappingURL=simpleDialog.d.ts.map