import { useIntl } from "react-intl";
export function useTranslation() {
    const { formatMessage } = useIntl();
    const translation = (id, options) => {
        const { defaultMessage, description, values } = options || {};
        return formatMessage({ id, defaultMessage, description }, values);
    };
    return translation;
}
//# sourceMappingURL=useTranslation.js.map