import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useMemo } from "react";
import { NetworkImage } from "./networkImage";
import { getSize } from "./utils";
export const Combine = (props) => {
    const size = useMemo(() => {
        return getSize(props.main.size);
    }, [props.main.size]);
    return (_jsxs("div", { className: "orderly-relative", style: {
            width: size,
            height: size,
        }, children: [_jsx(NetworkImage, { ...props.main }), _jsx(NetworkImage, { ...props.sub, className: "orderly-bg-base-600 orderly-absolute orderly-bottom-0 orderly-right-0 orderly-outline orderly-outline-2 orderly-outline-base-100 orderly-z-10", rounded: true })] }));
};
//# sourceMappingURL=combine.js.map