import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { useMediaQuery } from "@orderly.network/hooks";
import { MEDIA_TABLET } from "@orderly.network/types";
export const Page = (props) => {
    //measure layout
    // useLayoutEffect(() => {}, []);
    const matches = useMediaQuery(MEDIA_TABLET);
    if (matches) {
        return _jsx(_Fragment, { children: props.md });
    }
    return _jsx(_Fragment, { children: props.children });
};
//# sourceMappingURL=page.js.map