import { jsx as _jsx } from "react/jsx-runtime";
import { useCallback, useContext, } from "react";
import { BaseLayout } from "./baseLayout";
import { LayoutContext } from "./layoutContext";
export const PageHeader = (props) => {
    const { setPageHeaderHeight } = useContext(LayoutContext);
    const onMeasure = useCallback((height, width) => {
        setPageHeaderHeight(height);
    }, []);
    return _jsx(BaseLayout, { ...props, onMeasure: onMeasure });
};
PageHeader.displayName = "PageHeader";
//# sourceMappingURL=pageHeader.js.map