import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { NoData } from "../illustration";
import { useMemo } from "react";
export const EmptyView = (props) => {
    const icon = useMemo(() => {
        return _jsx(NoData, {});
    }, [props.icon]);
    const text = useMemo(() => {
        return _jsx("div", { className: "orderly-text-3xs", children: "No results found." });
    }, [props.text]);
    return (_jsxs("div", { className: "orderly-flex orderly-flex-col orderly-items-center orderly-justify-center orderly-min-h-[180px]", children: [_jsx("div", { children: icon }), _jsx("div", { className: "orderly-text-base-contrast-54", children: text })] }));
};
//# sourceMappingURL=emptyView.js.map