import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from "react";
import { ListTile } from "./listTile";
export const ListTileForSymbol = (props) => {
    const { symbol, ...rest } = props;
    const { coin, title } = useMemo(() => {
        const arr = symbol.split("_");
        return {
            coin: arr[1],
            title: `${arr[1]}-${arr[0]}`,
        };
    }, [symbol]);
    return (_jsx(ListTile, { ...rest, avatar: {
            type: "coin",
            // @ts-ignore
            name: coin,
        }, title: title }));
};
//# sourceMappingURL=listTileForSymbol.js.map