import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Sheet, SheetContent, SheetHeader, SheetTitle } from "../../sheet";
import { modalActions } from "../modalContext";
import { create } from "../modalHelper";
import { useModal } from "../useModal";
const SimpleSheet = create((props) => {
    const { visible, hide, resolve, onOpenChange } = useModal();
    return (_jsx(Sheet, { open: visible, onOpenChange: onOpenChange, children: _jsxs(SheetContent, { className: props.contentClassName, onOpenAutoFocus: (event) => {
                event.preventDefault();
            }, children: [_jsx(SheetHeader, { children: _jsx(SheetTitle, { children: props.title }) }), props.content] }) }));
});
export const sheet = (props) => {
    return modalActions.show(SimpleSheet, props);
};
//# sourceMappingURL=sheet.js.map