/// <reference types="react" />
import { ModalArgs, ModalHandler } from "./types";
export declare function useModal(): ModalHandler;
export declare function useModal(modal: string, args?: Record<string, unknown>): ModalHandler;
export declare function useModal<T extends React.FC<any>, ComponentProps extends ModalArgs<T>, PreparedProps extends Partial<ComponentProps> = {} | ComponentProps, RemainingProps = Omit<ComponentProps, keyof PreparedProps> & Partial<ComponentProps>, ResolveType = unknown>(modal: T, args?: PreparedProps): Omit<ModalHandler, "show"> & {
    show: Partial<RemainingProps> extends RemainingProps ? (args?: RemainingProps) => Promise<ResolveType> : (args: RemainingProps) => Promise<ResolveType>;
};
//# sourceMappingURL=useModal.d.ts.map