const symModalId = Symbol("modalId");
let uidSeed = 0;
const getUid = () => `__modal_${uidSeed++}`;
export const getModalId = (modal) => {
    if (typeof modal === "string")
        return modal;
    if (!modal[symModalId]) {
        modal[symModalId] = getUid();
    }
    return modal[symModalId];
};
//# sourceMappingURL=utils.js.map