import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Circle } from "lucide-react";
export var DecimalPrecisionType;
(function (DecimalPrecisionType) {
    DecimalPrecisionType[DecimalPrecisionType["ZERO"] = 0] = "ZERO";
    DecimalPrecisionType[DecimalPrecisionType["ONE"] = 1] = "ONE";
    DecimalPrecisionType[DecimalPrecisionType["TWO"] = 2] = "TWO";
})(DecimalPrecisionType || (DecimalPrecisionType = {}));
export const DecimalPrecisionCheckbox = ({ value, onValueChange }) => {
    return (_jsxs("div", { className: "orderly-flex orderly-items-center orderly-space-x-3", children: [_jsx(DecimalPrecisionItem, { active: value === DecimalPrecisionType.ZERO, label: "1", value: DecimalPrecisionType.ZERO, onClick: onValueChange }), _jsx(DecimalPrecisionItem, { active: value === DecimalPrecisionType.ONE, label: "0.1", value: DecimalPrecisionType.ONE, onClick: onValueChange }), _jsx(DecimalPrecisionItem, { active: value === DecimalPrecisionType.TWO, label: "0.01", value: DecimalPrecisionType.TWO, onClick: onValueChange })] }));
};
const DecimalPrecisionItem = (props) => {
    let clsName = "orderly-flex orderly-items-center orderly-gap-1 orderly-cursor-pointer";
    if (props.active) {
        clsName += " orderly-text-base-contrast";
    }
    else {
        clsName += " orderly-text-base-contrast-54";
    }
    return (_jsxs("div", { className: clsName, onClick: () => {
            props.onClick(props.active ? "" : props.value);
        }, children: [_jsx("button", { type: "button", className: "orderly-w-[14px] orderly-h-[14px] orderly-rounded-full orderly-border-2 orderly-border-base-contrast-20", children: props.active && (
                // @ts-ignore
                _jsx(Circle, { className: "orderly-w-[10px] orderly-h-[10px] orderly-text-base-contrast orderly-bg-base-contrast orderly-rounded-full" })) }), _jsx("span", { className: "orderly-text-3xs", children: props.label })] }));
};
//# sourceMappingURL=decimalPrecisionCheckBox.js.map