import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Divider } from "../../../../../divider";
import { Markets } from "./markets";
import { Ticker } from "./ticker";
import { SymbolProvider } from "../../../../../provider";
export const TopNav = (props) => {
    return (_jsx(SymbolProvider, { symbol: props.symbol, children: _jsxs("div", { className: "orderly-h-full orderly-flex orderly-items-center orderly-relative orderly-pl-1", children: [_jsx(Markets, { symbol: props.symbol }), _jsx(Divider, { vertical: true, className: "orderly-mx-2" }), _jsx(Ticker, { symbol: props.symbol })] }) }));
};
//# sourceMappingURL=topNav.js.map