import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from "react";
import { useMarketTradeStream } from "@orderly.network/hooks";
import { TradeHistory } from "../../../../../block/tradeHistory";
import { useTabContext } from "../../../../../tab/tabContext";
export const TradeHistoryFull = (props) => {
    const { symbol } = props;
    const { data, isLoading } = useMarketTradeStream(symbol);
    const { height } = useTabContext();
    return (_jsx("div", { className: "orderly-overflow-y-auto orderly-px-3", style: { height: `${height?.content}px` }, children: _jsx(TradeHistory, { dataSource: data, loading: isLoading, headerClassName: "orderly-py-[5px]" }) }));
};
export const MemorizedTradeHistoryFull = memo(TradeHistoryFull);
//# sourceMappingURL=tradingHistory.js.map