import { jsx as _jsx } from "react/jsx-runtime";
import { SimpleMarketOverview } from "../../../../../block/marketOverview";
import { useTickerStream } from "@orderly.network/hooks";
import { SymbolProvider } from "../../../../../provider";
export const MarketOverview = (props) => {
    const { symbol } = props;
    const data = useTickerStream(symbol);
    return (_jsx(SymbolProvider, { symbol: symbol, children: _jsx(SimpleMarketOverview
        // @ts-ignore
        , { 
            // @ts-ignore
            change: data?.change ?? 0, price: data?.["24h_close"] ?? 0 }) }));
};
//# sourceMappingURL=marketOverview.js.map