import { SelectHTMLAttributes } from "react";
import { VariantProps } from "class-variance-authority";
import { SelectOption } from "../select/select";
declare const pickerVariants: (props?: ({
    size?: "small" | "large" | "default" | null | undefined;
    fullWidth?: boolean | null | undefined;
    disabled?: boolean | null | undefined;
    color?: "default" | "buy" | "sell" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export interface PickerProps extends Omit<SelectHTMLAttributes<HTMLSelectElement>, "disabled" | "size" | "color" | "value">, VariantProps<typeof pickerVariants> {
    loading?: boolean;
    label?: string;
    options: SelectOption[];
    value?: SelectOption | string | number;
    onValueChange?: (value: any) => void;
}
export type PickerRef = {};
export declare const Picker: import("react").ForwardRefExoticComponent<PickerProps & import("react").RefAttributes<PickerRef>>;
export {};
//# sourceMappingURL=picker.d.ts.map