import { FC } from "react";
type SheetItemType = "division" | "data" | "cancel";
export interface BaseActionSheetItem {
    label: string;
    type?: SheetItemType;
    icon?: string;
    value?: string;
    active?: boolean;
    onClick?: (action: BaseActionSheetItem) => void;
}
export interface ActionSheetProps {
    action: BaseActionSheetItem;
    index: number;
    active?: boolean;
    onClick?: (value: {
        value?: string;
        index: number;
    }) => void;
}
export declare const ActionItem: FC<ActionSheetProps>;
export {};
//# sourceMappingURL=actionItem.d.ts.map