import { ComponentPropsWithoutRef, FC, PropsWithChildren } from "react";
import { BaseActionSheetItem } from "./actionItem";
import { Sheet } from "../../sheet";
export type SystemActionSheetItem = "Cancel" | "Confirm" | "---";
export type ActionSheetItem = BaseActionSheetItem | SystemActionSheetItem;
export interface ActionSheetProps extends ComponentPropsWithoutRef<typeof Sheet> {
    actionSheets: ActionSheetItem[];
    value?: BaseActionSheetItem;
    onValueChange?: (value: string) => void;
    open?: boolean;
    onClose?: () => void;
}
export declare const ActionSheet: FC<PropsWithChildren<ActionSheetProps>>;
//# sourceMappingURL=actionSheet.d.ts.map