import { FC, ReactNode } from "react";
import { type TextRule } from "../text/text";
import { NumeralProps, NumeralRule } from "../text/numeral";
export interface StatisticProps extends Omit<NumeralProps, "children" | "rule"> {
    label: string | ReactNode;
    value: string | number | ReactNode;
    coloring?: boolean;
    className?: string;
    labelClassName?: string;
    valueClassName?: string;
    rule?: (TextRule & NumeralRule) | string;
    align?: "left" | "right" | "center";
    asChild?: boolean;
    hint?: string;
}
export declare const Statistic: FC<StatisticProps>;
//# sourceMappingURL=statistic.d.ts.map