import { jsx as _jsx } from "react/jsx-runtime";
import { cn } from "../utils/css";
export const TabGroup = (props) => {
    return (_jsx("div", { className: cn("orderly-grid orderly-border-b orderly-border-divider orderly-tab-header", props.className), style: { gridTemplateColumns: `repeat(${props.tabList.length}, 1fr)` }, children: props.tabList.map((header, index) => {
            // const header = props.tabList[index];
            return (_jsx("div", { className: cn("orderly-h-full orderly-relative orderly-flex orderly-items-center orderly-border-l orderly-border-divider first:orderly-border-l-0 orderly-pl-2"), children: header.title }, index));
        }) }));
};
//# sourceMappingURL=tabGroup.js.map