import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo, useRef } from "react";
export const ColGroupItem = (props) => {
    const { col: item } = props;
    const ref = useRef(null);
    const styles = useMemo(() => {
        const styles = {};
        if (item.width) {
            styles["width"] = `${item.width}px`;
        }
        return styles;
    }, [item]);
    return (_jsx("col", { ref: ref, 
        // @ts-ignore
        className: item.className, align: item.align, style: styles }));
};
//# sourceMappingURL=colgroupItem.js.map