import { FC, PropsWithChildren } from "react";
import { Column, SortOrder } from "./col";
export interface TableContextState {
    columns: Column[];
    dataSource: any[];
    sortKey?: string;
    sortOrder?: SortOrder;
    expandedRowKeys?: string[];
    canExpand?: boolean;
    toggleExpandRow: (key: string) => void;
    onSort: (key: string) => void;
    getLeftFixedColumnsWidth: (index: number) => number;
    getRightFixedColumnsWidth: (index: number) => number;
    getLeftFixedColumnsPosition: () => number;
    getRightFixedColumnsPosition: () => number;
}
export declare const TableContext: import("react").Context<TableContextState>;
export declare const defaultSortter: (r1: any, r2: any, sortOrder: SortOrder, key: string) => number;
export declare const TableProvider: FC<PropsWithChildren<{
    columns: Column[];
    dataSource?: any[] | null;
    canExpand?: boolean;
    multiExpand?: boolean;
}>>;
//# sourceMappingURL=tableContext.d.ts.map