import { Numeral } from "./numeral";
import { NumeralTotal } from "./numeralTotal";
import { NumeralWithSymbol } from "./numeralWithSymbol";
import { NumeralWithCtx } from "./numeralWithCtx";
import { TradingPair } from "./tradingPair";
import { Text } from "./text";
export type CombinedComponent = typeof Numeral & {
    symbol: typeof NumeralWithSymbol;
    total: typeof NumeralTotal;
    withCtx: typeof NumeralWithCtx;
};
declare const CombinedComponent: CombinedComponent;
export type CombinedText = typeof Text & {
    tradingPair: typeof TradingPair;
};
declare const CombinedTextComponent: CombinedText;
export { CombinedComponent as Numeral, CombinedTextComponent as Text };
//# sourceMappingURL=index.d.ts.map