import { jsx as _jsx } from "react/jsx-runtime";
import { Numeral } from "./numeral";
import { useSymbolsInfo } from "@orderly.network/hooks";
/**
 * Truncate according to the symbol configuration, need to be used with @orderly.network/hooks
 * @param props
 * @returns
 */
export const NumeralWithSymbol = (props) => {
    //   const { data, isLoading, error } = useSymbolsInfo();
    const config = useSymbolsInfo()[props.symbol];
    return _jsx(Numeral, { ...props, precision: config("quote_dp", 2) });
};
//# sourceMappingURL=numeralWithSymbol.js.map