import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from "react";
export const TradingPair = (props) => {
    if (typeof props.children !== "string") {
        throw new Error("TradingPair must have a string child");
    }
    const children = useMemo(() => {
        return props.children;
    }, [props.children]);
    return _jsx("span", { ...props, children: children });
};
//# sourceMappingURL=tradingPair.js.map