"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountInfo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const button_1 = __importDefault(require("../../../button"));
const assets_1 = require("./assets");
const divider_1 = require("../../../divider");
const react_1 = require("react");
const provider_1 = require("../../../provider");
const AccountInfo = (props) => {
    const { visible, toggleVisible, onDeposit, onWithdraw } = (0, react_1.useContext)(provider_1.AssetsContext);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-py-4", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1 orderly-text-base-contrast-80 orderly-text-sm", children: "Account" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(button_1.default, { size: "small", variant: "outlined", color: "tertiary", className: "desktop:orderly-text-3xs desktop:orderly-text-base-contrast", onClick: () => onWithdraw?.(), children: "Withdraw" }), (0, jsx_runtime_1.jsx)(button_1.default, { size: "small", variant: "outlined", color: "tertiary", className: "desktop:orderly-text-3xs desktop:orderly-text-base-contrast", onClick: () => onDeposit?.(), children: "Deposit" })] })] }), (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), (0, jsx_runtime_1.jsx)(assets_1.Assets, { totalBalance: 1013130 })] }));
};
exports.AccountInfo = AccountInfo;
//# sourceMappingURL=index.js.map