"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMarginRatioColor = void 0;
function getMarginRatioColor(marginRatio, mmr) {
    if (mmr === null) {
        return { isRed: false, isYellow: false, isGreen: true };
    }
    const imr = mmr * 2;
    const isRed = marginRatio <= imr;
    const isYellow = marginRatio > imr && marginRatio < 1;
    const isGreen = marginRatio >= 1;
    return { isRed, isYellow, isGreen };
}
exports.getMarginRatioColor = getMarginRatioColor;
//# sourceMappingURL=utils.js.map