"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DepositWithDialog = exports.DepositWithSheet = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const modal_1 = require("../../modal");
const modalHelper_1 = require("../../modal/modalHelper");
const deposit_1 = require("./deposit");
const sheet_1 = require("../../sheet/sheet");
const dialog_1 = require("../../dialog/dialog");
exports.DepositWithSheet = (0, modalHelper_1.create)((props) => {
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    const onOk = (data) => {
        resolve(data);
        hide();
    };
    return ((0, jsx_runtime_1.jsx)(sheet_1.Sheet, { open: visible, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsx)(sheet_1.SheetContent, { children: (0, jsx_runtime_1.jsx)(deposit_1.Deposit, { onOk: onOk, 
                // @ts-ignore
                dst: {
                    chainId: 0,
                    address: "",
                    decimals: 0,
                    symbol: "",
                    network: "",
                } }) }) }));
});
exports.DepositWithDialog = (0, modalHelper_1.create)((props) => {
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    const onOk = (data) => {
        resolve(data);
        hide();
    };
    return ((0, jsx_runtime_1.jsx)(dialog_1.Dialog, { open: visible, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsx)(dialog_1.DialogContent, { className: "orderly-p-5", maxWidth: "lg", children: (0, jsx_runtime_1.jsx)(deposit_1.Deposit, { onOk: onOk, 
                // @ts-ignore
                dst: {
                    chainId: 0,
                    address: "",
                    decimals: 0,
                    symbol: "",
                    network: "",
                } }) }) }));
});
//# sourceMappingURL=dialog.js.map