"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Markets = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const search_1 = require("../../block/markets/sections/search");
const listView_1 = require("../../block/markets/sections/listView");
const useDataSource_1 = require("./useDataSource");
const Markets = (props) => {
    const [dataSource, { searchKey, onSearch, onSort }] = (0, useDataSource_1.useDataSource)(props.dataSource);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("h3", { id: "orderly-markets-sheet-title", className: "orderly-text-lg orderly-text-base-contrast orderly-py-3", children: "Markets" }), (0, jsx_runtime_1.jsx)(search_1.SearchForm, { onChange: onSearch, value: searchKey }), (0, jsx_runtime_1.jsx)(listView_1.MarketListView, { dataSource: dataSource, onItemClick: props.onItemClick, onSort: onSort, listHeight: props.listHeight })] }));
};
exports.Markets = Markets;
//# sourceMappingURL=markets.js.map