"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icon_1 = require("../../../icon");
const provider_1 = require("../../../provider");
const text_1 = require("../../../text");
const react_1 = require("react");
const Cell = (props) => {
    const { item, onItemClick } = props;
    const { quote_dp } = (0, react_1.useContext)(provider_1.SymbolContext);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-2 orderly-cursor-pointer", onClick: () => onItemClick?.(item), children: [(0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { type: "symbol", symbol: item.symbol }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-1 orderly-flex-col", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-justify-between orderly-text-2xs", children: [(0, jsx_runtime_1.jsx)(text_1.Text, { rule: "symbol", className: "orderly-text-base-contrast", children: item.symbol }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: quote_dp, className: "orderly-text-base-contrast", children: item["24h_close"] })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-justify-between orderly-text-4xs", children: [(0, jsx_runtime_1.jsx)(text_1.Numeral, { rule: "human", className: "orderly-text-base-contrast-54", children: item?.["24h_amount"] }), (0, jsx_runtime_1.jsx)(text_1.Numeral, { rule: "percentages", coloring: true, children: item.change })] })] })] }));
};
exports.Cell = Cell;
//# sourceMappingURL=cell.js.map