"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icon_1 = require("../../../icon");
const useSort_1 = require("../useSort");
const sortItem_1 = require("./sortItem");
const react_1 = require("react");
const SortGroup = (props) => {
    const { sortKey, onSort, direction, value: currentValue, } = (0, useSort_1.useSort)(props.value);
    (0, react_1.useEffect)(() => {
        props.onChange?.({ key: sortKey, direction });
    }, [sortKey, direction]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-justify-between orderly-text-4xs orderly-pt-5 orderly-pb-3 orderly-text-base-contrast-36", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1", children: [(0, jsx_runtime_1.jsx)("div", { children: "Instrument" }), (0, jsx_runtime_1.jsx)("div", { children: "/" }), (0, jsx_runtime_1.jsx)(icon_1.OrderlyIcon, { size: 14, className: "orderly-mx-[2px]" }), (0, jsx_runtime_1.jsx)(sortItem_1.SortItem, { label: "Vol.", value: "vol", onClick: onSort, currentValue: currentValue })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-gap-1", children: [(0, jsx_runtime_1.jsx)(sortItem_1.SortItem, { label: "Price", value: "price", onClick: onSort, currentValue: currentValue }), (0, jsx_runtime_1.jsx)("div", { children: "/" }), (0, jsx_runtime_1.jsx)(sortItem_1.SortItem, { label: "Change%", value: "change", onClick: onSort, currentValue: currentValue })] })] }));
};
exports.SortGroup = SortGroup;
//# sourceMappingURL=sortGroup.js.map