"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const css_1 = require("../../../utils/css");
const icon_1 = require("../../../icon");
const class_variance_authority_1 = require("class-variance-authority");
const types_1 = require("../shared/types");
const SortItem = (props) => {
    const onClick = (0, react_1.useCallback)(() => {
        props.onClick?.(props.value);
    }, [props.value, props.currentValue]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: (0, css_1.cn)("orderly-flex orderly-items-center orderly-gap-1 orderly-cursor-pointer", {
            "orderly-text-base-contrast": props.currentValue?.key === props.value &&
                props.currentValue.direction !== types_1.SortDirection.NONE,
        }), onClick: onClick, children: [(0, jsx_runtime_1.jsx)("span", { children: props.label }), props.currentValue?.key === props.value &&
                props.currentValue.direction !== types_1.SortDirection.NONE && ((0, jsx_runtime_1.jsx)(icon_1.ArrowIcon, { size: 8, className: (0, class_variance_authority_1.cx)("orderly-transition-transform", props.currentValue?.direction === types_1.SortDirection.ASC
                    ? "orderly-rotate-180"
                    : "orderly-rotate-0") }))] }));
};
exports.SortItem = SortItem;
//# sourceMappingURL=sortItem.js.map