import { API } from "@orderly.network/types";
export type SortKey = "vol" | "price" | "change";
export interface MarketListViewProps {
    dataSource?: API.MarketInfoExt[];
    onItemClick?: (item: API.MarketInfoExt) => void;
}
export type SortCondition = Partial<{
    key: SortKey;
    direction: SortDirection;
}>;
export declare enum SortDirection {
    NONE = 0,
    ASC = 1,
    DESC = 2
}
export declare function parseSortDirection(direction: number | string): SortDirection | undefined;
export interface MarketsProps {
    dataSource?: API.MarketInfoExt[];
    onItemClick?: (item: API.MarketInfoExt) => void;
    className?: string;
}
//# sourceMappingURL=types.d.ts.map