"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderTypesCheckbox = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const types_1 = require("@orderly.network/types");
const lucide_react_1 = require("lucide-react");
const OrderTypesCheckbox = ({ value, onValueChange }) => {
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-space-x-3", children: [(0, jsx_runtime_1.jsx)(OrderTypeItem, { active: value === types_1.OrderType.POST_ONLY, label: "Post only", value: types_1.OrderType.POST_ONLY, onClick: onValueChange }), (0, jsx_runtime_1.jsx)(OrderTypeItem, { active: value === types_1.OrderType.IOC, label: "IOC", value: types_1.OrderType.IOC, onClick: onValueChange }), (0, jsx_runtime_1.jsx)(OrderTypeItem, { active: value === types_1.OrderType.FOK, label: "FOK", value: types_1.OrderType.FOK, onClick: onValueChange })] }));
};
exports.OrderTypesCheckbox = OrderTypesCheckbox;
const OrderTypeItem = (props) => {
    let clsName = "orderly-flex orderly-items-center orderly-gap-1 orderly-cursor-pointer";
    if (props.active) {
        clsName += " orderly-text-base-contrast";
    }
    else {
        clsName += " orderly-text-base-contrast-54";
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: clsName, onClick: () => {
            props.onClick(props.active ? "" : props.value);
        }, children: [(0, jsx_runtime_1.jsx)("button", { type: "button", className: "orderly-order-entry-radio-button orderly-w-[14px] orderly-h-[14px] orderly-rounded-full orderly-border-2 orderly-border-base-contrast-20", children: props.active && (
                // @ts-ignore
                (0, jsx_runtime_1.jsx)(lucide_react_1.Circle, { className: "orderly-order-entry-radio-circle orderly-w-[10px] orderly-h-[10px] orderly-text-link orderly-bg-link orderly-rounded-full" })) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs", children: props.label })] }));
};
//# sourceMappingURL=orderTypes.js.map