"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Asks = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const listBox_1 = require("./listBox");
const react_1 = require("react");
const types_1 = require("./types");
const Asks = (props) => {
    const { data } = props;
    const countQty = (0, react_1.useMemo)(() => {
        let max = Number.NaN;
        let len = data.length;
        let index = 0;
        while (Number.isNaN(max) && index < len) {
            max = data[index][2];
            index++;
        }
        return max;
    }, [data]);
    return ((0, jsx_runtime_1.jsx)(listBox_1.ListBox, { type: types_1.OrderBookCellType.ASK, data: data, countQty: countQty }));
};
exports.Asks = Asks;
//# sourceMappingURL=asks.js.map