"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopAsks = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const listBox_desktop_1 = require("./listBox.desktop");
const react_1 = require("react");
const types_1 = require("../types");
const DesktopAsks = (props) => {
    const { data } = props;
    const countQty = (0, react_1.useMemo)(() => {
        let max = Number.NaN;
        let len = data.length;
        let index = 0;
        while (Number.isNaN(max) && index < len) {
            max = data[index][2];
            index++;
        }
        return max;
    }, [data]);
    return ((0, jsx_runtime_1.jsx)(listBox_desktop_1.DesktopListBox, { type: types_1.OrderBookCellType.ASK, data: data, countQty: countQty }));
};
exports.DesktopAsks = DesktopAsks;
//# sourceMappingURL=asks.desktop.js.map