"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopDepthSelect = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const select_1 = require("../../../select");
const react_1 = require("react");
const DesktopDepthSelect = (props) => {
    const options = (0, react_1.useMemo)(() => {
        return props.depth.map((d) => ({
            value: d,
            label: `${d}`,
        }));
    }, [props.depth]);
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-flex orderly-items-center orderly-justify-between orderly-pt-2 orderly-mr-3 orderly-pb-1", children: (0, jsx_runtime_1.jsx)(select_1.Select, { options: options, fullWidth: true, size: "small", value: props.value, className: "orderly-text-4xs orderly-text-base-contrast-54 orderly-w-[103px] orderly-bg-base-700", contentClassName: "orderly-bg-base-800", onChange: (value) => {
                props.onChange?.(value);
            }, color: "default" }) }));
};
exports.DesktopDepthSelect = DesktopDepthSelect;
//# sourceMappingURL=depthSelect.desktop.js.map