"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const orderContext_1 = require("../orderContext");
const utils_1 = require("../../../utils");
const DesktopHeader = (props) => {
    const { showTotal } = (0, react_1.useContext)(orderContext_1.OrderBookContext);
    // return (
    //     <div className="orderly-flex orderly-flex-1 orderly-flex-row orderly-justify-between orderly-text-base-contrast-36 orderly-text-4xs desktop:orderly-text-3xs orderly-pb-2 desktop:orderly-pt-2">
    //         <Title name="Price" token={props.quote} />
    //         <Title name="Qty" token={props.base} />
    //         <Title name="Total" token={props.base} />
    //         {showTotal && <Title name="Total" token={props.quote} />}
    //     </div>
    // );
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-flex-row orderly-justify-between orderly-text-base-contrast-80 orderly-text-3xs orderly-relative orderly-font-bold orderly-cursor-pointer orderly-mb-1", children: [(0, jsx_runtime_1.jsxs)("div", { className: (0, utils_1.cn)("orderly-basis-7/12 orderly-flex orderly-felx-row orderly-items-center orderly-mr-2", showTotal && "orderly-basis-5/12"), children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1 orderly-text-left", children: (0, jsx_runtime_1.jsx)(Title, { name: "Price", token: props.quote }) }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1 orderly-text-right orderly-text-base-contrast-80", children: (0, jsx_runtime_1.jsx)(Title, { name: "Qty", token: props.base, justifyEnd: true }) })] }), (0, jsx_runtime_1.jsxs)("div", { className: (0, utils_1.cn)("orderly-basis-5/12 orderly-flex orderly-fex-row", showTotal && "orderly-basis-7/12"), children: [(0, jsx_runtime_1.jsx)("div", { className: (0, utils_1.cn)("orderly-flex-1 orderly-pr-6", showTotal && "orderly-pr-3"), children: (0, jsx_runtime_1.jsx)(Title, { name: "Total", token: props.base, justifyEnd: true }) }), showTotal && ((0, jsx_runtime_1.jsx)("div", { className: "orderly-flex-1 orderly-pr-3", children: (0, jsx_runtime_1.jsx)(Title, { name: "Total", token: props.quote, justifyEnd: true }) }))] })] }));
};
exports.DesktopHeader = DesktopHeader;
const Title = (props) => {
    const { name, token, justifyEnd = false } = props;
    return ((0, jsx_runtime_1.jsxs)("div", { id: "orderly-order-book-header-qty", className: (0, utils_1.cn)("orderly-flex orderly-flex-row orderly-text-base-contrast-36 orderly-text-3xs orderly-items-end", justifyEnd && "orderly-justify-end"), children: [(0, jsx_runtime_1.jsx)("span", { children: name }), (0, jsx_runtime_1.jsx)("span", { children: `(${token})` })] }));
};
//# sourceMappingURL=header.desktop.js.map