"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListBox = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const cell_1 = require("./cell");
const orderContext_1 = require("./orderContext");
const ListBox = (props) => {
    const { data } = props;
    const { mode } = (0, react_1.useContext)(orderContext_1.OrderBookContext);
    return ((0, jsx_runtime_1.jsx)("div", { id: "orderly-order-book-list", className: "orderly-flex orderly-flex-col orderly-gap-[1px]", children: data.map((item, index) => {
            return ((0, jsx_runtime_1.jsx)(cell_1.OrderBookCell, { background: "", price: item[0], quantity: item[1], accumulated: item[2], count: props.countQty, type: props.type, mode: mode }, index));
        }) }));
};
exports.ListBox = ListBox;
//# sourceMappingURL=listBox.js.map