"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderEditFormSheet = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const modal_1 = require("../../../../modal");
const editorForm_1 = require("./editorForm");
const OrderEditFormSheet = (props) => {
    const { hide, resolve, reject } = (0, modal_1.useModal)();
    if (!props.order) {
        return null;
    }
    const onEditSubmit = (values) => {
        return props.editOrder(values).then((res) => {
            if (res.success) {
                // toast.success("Order placed successfully");
                resolve(res);
                hide();
                // props.onComplete?.(res.data);
            }
        });
    };
    return ((0, jsx_runtime_1.jsx)(editorForm_1.OrderEditForm, { order: props.order, onSubmit: onEditSubmit, onCancel: function () {
            reject();
            hide();
        } }));
};
exports.OrderEditFormSheet = OrderEditFormSheet;
//# sourceMappingURL=editorSheet.js.map