import { FC } from "react";
import { type API } from "@orderly.network/types";
type ChainInfo = API.NetworkInfos & {
    bridgeless: boolean;
};
export interface ChainListViewProps {
    mainChains?: ChainInfo[];
    testChains?: ChainInfo[];
    currentChainId?: number;
    value?: any;
    onItemClick?: (value: {
        id: number;
        name: string;
    }) => Promise<any>;
}
export declare const ChainListView: FC<ChainListViewProps>;
export {};
//# sourceMappingURL=chainListView.d.ts.map