"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopTokenCell = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const icon_1 = require("../../../icon");
const spinner_1 = require("../../../spinner");
const text_1 = require("../../../text");
const useGetBalance_1 = require("./useGetBalance");
const DesktopTokenCell = (props) => {
    const { token } = props;
    const { balance, loading } = (0, useGetBalance_1.useGetBalance)(token, props.fetchBalance);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-token-select-dropdown-menu-item orderly-cursor-pointer hover:orderly-bg-base-contrast/5 orderly-font-semibold orderly-p-3", children: [(0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-h-[20px] orderly-rounded-sm", children: [(0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { size: 16, type: "token", name: token.symbol, rounded: true }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-text-2xs orderly-text-base-contrast orderly-ml-2", children: token.symbol })] }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-text-3xs orderly-text-base-contrast/50 orderly-leading-[20px]", children: [(0, jsx_runtime_1.jsx)("span", { className: "orderly-mr-1", children: "Available:" }), loading ? ((0, jsx_runtime_1.jsx)(spinner_1.Spinner, { size: "small", className: "orderly-w-[16px] orderly-h-[16px]" })) : ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: 2, padding: false, children: balance }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-4xs orderly-ml-1", children: token.symbol })] }))] })] }));
};
exports.DesktopTokenCell = DesktopTokenCell;
//# sourceMappingURL=tokenCell.desktop.js.map