"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DesktopTokenSelect = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_dropdown_menu_1 = require("@radix-ui/react-dropdown-menu");
const tokenCell_desktop_1 = require("./tokenCell.desktop");
const DesktopTokenSelect = (props) => {
    return ((0, jsx_runtime_1.jsxs)(react_dropdown_menu_1.DropdownMenu, { open: props.open, onOpenChange: props.onOpenChange, children: [(0, jsx_runtime_1.jsx)(react_dropdown_menu_1.DropdownMenuTrigger, { disabled: props.disabled, asChild: true, children: props.trigger }), (0, jsx_runtime_1.jsx)(react_dropdown_menu_1.DropdownMenuContent, { align: "start", className: "orderly-token-select-dropdown-menu orderly-rounded-sm orderly-bg-base-700 orderly-min-w-[120px] orderly-max-h-[280px] orderly-overflow-y-auto orderly-overflow-hidden orderly-mt-2 orderly-py-2 orderly-shadow-[0_4px_4px_0px_rgba(0,0,0,0.25)] orderly-z-[100]", children: props.tokens?.map((token) => {
                    return ((0, jsx_runtime_1.jsx)(react_dropdown_menu_1.DropdownMenuItem, { onClick: () => {
                            props.onTokenChange?.(token);
                            props.onOpenChange(false);
                        }, children: (0, jsx_runtime_1.jsx)(tokenCell_desktop_1.DesktopTokenCell, { token: token, fetchBalance: props.fetchBalance }) }, token.symbol));
                }) })] }));
};
exports.DesktopTokenSelect = DesktopTokenSelect;
//# sourceMappingURL=tokenSelect.desktop.js.map