"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WalletPicker = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const input_1 = require("../../../input");
const react_1 = require("react");
const chainPicker_1 = require("../chainPicker");
const WalletPicker = (props) => {
    const { chain, chains } = props;
    const address = (0, react_1.useMemo)(() => {
        if (!props.address)
            return "--";
        return props.address.replace(/^(.{6})(.*)(.{4})$/, "$1......$3");
    }, [props.address]);
    //
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(input_1.Input, { className: "orderly-wallet-picker orderly-text-4xs orderly-text-base-contrast-36 desktop:orderly-text-3xs", containerClassName: "orderly-bg-base-500 orderly-rounded-borderRadius", disabled: true, value: address, fullWidth: true }), (0, jsx_runtime_1.jsx)(chainPicker_1.ChainSelect, { value: chain, onValueChange: props.onChainChange, onChainInited: props.onChainInited, settingChain: props.settingChain, chains: props.chains })] }));
};
exports.WalletPicker = WalletPicker;
//# sourceMappingURL=walletPicker.js.map