"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnrealizedPnLPopoverCard = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const divider_1 = require("../../../divider");
const unPnlPriceBasisCheckBox_1 = require("../../../page/trading/desktop/sections/datalist/unPnlPriceBasisCheckBox");
const tabContext_1 = require("../../../tab/tabContext");
const react_1 = require("react");
const UnrealizedPnLPopoverCard = (props) => {
    const { unPnlPriceBasis, setUnPnlPriceBasic } = props;
    const { updateData } = (0, tabContext_1.useTabContext)();
    const onUnPnlPriceBasisChanged = (0, react_1.useCallback)((type) => {
        var value = 0;
        switch (type) {
            case unPnlPriceBasisCheckBox_1.UnPnlPriceBasisType.MARKET_PRICE:
                value = 0;
                break;
            case unPnlPriceBasisCheckBox_1.UnPnlPriceBasisType.LAST_PRICE:
                value = 1;
                break;
        }
        updateData("unPnlPriceBasis", value);
        setUnPnlPriceBasic(type);
    }, [unPnlPriceBasis]);
    return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)("span", { children: "Current unrealized profit or loss on your open positions across all widgets calculated using Mark Price." }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-py-2 orderly-border-white/10" }), (0, jsx_runtime_1.jsx)("div", { className: "orderly-mb-2", children: "Unrealized PnL Price Basis" }), (0, jsx_runtime_1.jsx)(unPnlPriceBasisCheckBox_1.UnPnlPriceBasisCheckBox, { value: unPnlPriceBasis, onValueChange: onUnPnlPriceBasisChanged })] }));
};
exports.UnrealizedPnLPopoverCard = UnrealizedPnLPopoverCard;
//# sourceMappingURL=unrealPnLHover.js.map