"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositionsView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const divider_1 = require("../../divider");
const cell_1 = require("./cell");
const overview_1 = require("./overview");
const listView_1 = require("../../listView");
const defaultStaticStyle_1 = require("../../statistic/defaultStaticStyle");
const provider_1 = require("../../provider");
const PositionsView = (props) => {
    return ((0, jsx_runtime_1.jsx)(defaultStaticStyle_1.StatisticStyleProvider, { labelClassName: "orderly-text-3xs orderly-text-base-contrast/30", valueClassName: "orderly-text-base-contrast/80", children: (0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)(overview_1.PositionOverview, { onMarketCloseAll: props.onMarketCloseAll, aggregated: props.aggregated, onShowAllSymbolChange: props.onShowAllSymbolChange, showAllSymbol: props.showAllSymbol }), (0, jsx_runtime_1.jsx)(divider_1.Divider, {}), (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)(listView_1.ListView.separated, { dataSource: props.dataSource, renderItem: (item, index) => {
                            return ((0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: item.symbol, children: (0, jsx_runtime_1.jsx)(cell_1.PositionCell, { item: item, onLimitClose: props.onLimitClose, onMarketClose: props.onMarketClose, onSymbolChange: props.onSymbolChange }) }));
                        }, renderSeparator: (item, index) => {
                            return (0, jsx_runtime_1.jsx)(divider_1.Divider, {}, index);
                        }, loadMore: props.loadMore }) })] }) }));
};
exports.PositionsView = PositionsView;
//# sourceMappingURL=positions.js.map