"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LimitConfirm = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const divider_1 = require("../../../divider");
const icon_1 = require("../../../icon");
const text_1 = require("../../../text");
const orderDetail_1 = require("../shared/orderDetail");
const utils_1 = require("@orderly.network/utils");
const LimitConfirm = (props) => {
    const { order, quote, side } = props;
    console.log("LimitConfirm::::::::", props);
    return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-space-y-3", children: (0, jsx_runtime_1.jsx)("div", { className: "orderly-font-medium orderly-text-base-contrast-54 orderly-text-2xs desktop:orderly-text-sm", children: `You will close ${(0, utils_1.commify)(order.order_quantity || "")} ${props.base} position at limit price.` }) }), (0, jsx_runtime_1.jsx)(divider_1.Divider, { className: "orderly-my-4" }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-mb-4 orderly-flex orderly-text-base orderly-items-center orderly-gap-2", children: [(0, jsx_runtime_1.jsx)(icon_1.NetworkImage, { size: 20, type: "token", name: props.base }), (0, jsx_runtime_1.jsx)(text_1.Text, { rule: "symbol", className: "orderly-text-base desktop:orderly-text-lg", children: order.symbol })] }), (0, jsx_runtime_1.jsx)(orderDetail_1.OrderDetail, { className: "orderly-text-xs", order: props.order, quote: props.quote })] }));
};
exports.LimitConfirm = LimitConfirm;
//# sourceMappingURL=limitConfirm.js.map