"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Poster = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("@orderly.network/hooks");
const react_1 = require("react");
exports.Poster = (0, react_1.forwardRef)((props, parentRef) => {
    const { width, height, className, data, style } = props;
    const { ref, download, toDataURL, copy, toBlob } = (0, hooks_1.usePoster)(data, {
        ratio: props.ratio,
    });
    (0, react_1.useImperativeHandle)(parentRef, () => ({
        download,
        toDataURL,
        toBlob,
        copy,
    }));
    return ((0, jsx_runtime_1.jsx)("canvas", { ref: ref, width: width, height: height, className: className, style: style }));
});
//# sourceMappingURL=poster.js.map