"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const dialog_1 = require("../dialog/dialog");
const react_1 = require("react");
const button_1 = __importDefault(require("../button"));
const modal_1 = require("../modal");
const AlertDialog = (props) => {
    const { title, message } = props;
    const { visible, hide, resolve, reject, onOpenChange } = (0, modal_1.useModal)();
    const onOk = (0, react_1.useCallback)(() => {
        hide();
    }, [props.onOk]);
    return ((0, jsx_runtime_1.jsxs)(dialog_1.Dialog, { open: visible, onOpenChange: onOpenChange, children: [(0, jsx_runtime_1.jsx)(dialog_1.DialogHeader, { children: title }), (0, jsx_runtime_1.jsx)(dialog_1.DialogContent, { children: (0, jsx_runtime_1.jsx)(dialog_1.DialogBody, { children: message }) }), (0, jsx_runtime_1.jsx)(dialog_1.DialogFooter, { children: (0, jsx_runtime_1.jsx)(button_1.default, { onClick: onOk, children: "Ok" }) })] }));
};
exports.AlertDialog = AlertDialog;
//# sourceMappingURL=alertDialog.js.map