"use strict";
"use client";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HoverCardContent = exports.HoverCardTrigger = exports.HoverCardRoot = exports.HoverCard = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const HoverCardPrimitive = __importStar(require("@radix-ui/react-hover-card"));
const utils_1 = require("../utils");
const HoverCardRoot = HoverCardPrimitive.Root;
exports.HoverCardRoot = HoverCardRoot;
const HoverCardTrigger = HoverCardPrimitive.Trigger;
exports.HoverCardTrigger = HoverCardTrigger;
const HoverCardContent = React.forwardRef(({ className, align = "center", sideOffset = 4, ...props }, ref) => ((0, jsx_runtime_1.jsx)(HoverCardPrimitive.Content, { ref: ref, align: align, sideOffset: sideOffset, className: (0, utils_1.cn)("orderly-z-[100] orderly-w-64 orderly-rounded-md orderly-bg-base-400 orderly-p-4 orderly-text-base-contrast orderly-shadow-md orderly-outline-none data-[state=open]:orderly-animate-in data-[state=closed]:orderly-animate-out data-[state=closed]:orderly-fade-out-0 data-[state=open]:orderly-fade-in-0 data-[state=closed]:orderly-zoom-out-95 data-[state=open]:orderly-zoom-in-95 data-[side=bottom]:orderly-slide-in-from-top-2 data-[side=left]:orderly-slide-in-from-right-2 data-[side=right]:orderly-slide-in-from-left-2 data-[side=top]:orderly-slide-in-from-bottom-2", className), ...props })));
exports.HoverCardContent = HoverCardContent;
HoverCardContent.displayName = HoverCardPrimitive.Content.displayName;
const HoverCard = (props) => {
    const { content, open, defaultOpen, onOpenChange, children, ...rest } = props;
    return ((0, jsx_runtime_1.jsxs)(HoverCardRoot, { open: open, defaultOpen: defaultOpen, onOpenChange: onOpenChange, children: [(0, jsx_runtime_1.jsx)(HoverCardTrigger, { asChild: true, children: children }), (0, jsx_runtime_1.jsx)(HoverCardPrimitive.Portal, { children: (0, jsx_runtime_1.jsxs)(HoverCardContent, { ...rest, children: [content, (0, jsx_runtime_1.jsx)(HoverCardPrimitive.Arrow, { width: 11, height: 5, className: "orderly-fill-base-400" })] }) })] }));
};
exports.HoverCard = HoverCard;
HoverCard.displayName = "HoverCard";
//# sourceMappingURL=hoverCard.js.map