"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTranslation = void 0;
const react_intl_1 = require("react-intl");
function useTranslation() {
    const { formatMessage } = (0, react_intl_1.useIntl)();
    const translation = (id, options) => {
        const { defaultMessage, description, values } = options || {};
        return formatMessage({ id, defaultMessage, description }, values);
    };
    return translation;
}
exports.useTranslation = useTranslation;
//# sourceMappingURL=useTranslation.js.map