"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Combine = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const networkImage_1 = require("./networkImage");
const utils_1 = require("./utils");
const Combine = (props) => {
    const size = (0, react_1.useMemo)(() => {
        return (0, utils_1.getSize)(props.main.size);
    }, [props.main.size]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-relative", style: {
            width: size,
            height: size,
        }, children: [(0, jsx_runtime_1.jsx)(networkImage_1.NetworkImage, { ...props.main }), (0, jsx_runtime_1.jsx)(networkImage_1.NetworkImage, { ...props.sub, className: "orderly-bg-base-600 orderly-absolute orderly-bottom-0 orderly-right-0 orderly-outline orderly-outline-2 orderly-outline-base-100 orderly-z-10", rounded: true })] }));
};
exports.Combine = Combine;
//# sourceMappingURL=combine.js.map