import { InputProps } from "../input";
import { FC } from "react";
import { API } from "@orderly.network/types";
export interface TokenQtyInputProps extends InputProps {
    token: Partial<API.TokenInfo>;
    amount?: string;
    fee: number;
    loading?: boolean;
    needCalc?: boolean;
    onTokenChange?: (token: string) => void;
    onValueChange?: (value: {
        value: string;
        token: string;
    }) => void;
}
export declare const TokenQtyInput: FC<TokenQtyInputProps>;
//# sourceMappingURL=tokenQtyInput.d.ts.map