"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const baseLayout_1 = require("./baseLayout");
const layoutContext_1 = require("./layoutContext");
const PageHeader = (props) => {
    const { setPageHeaderHeight } = (0, react_1.useContext)(layoutContext_1.LayoutContext);
    const onMeasure = (0, react_1.useCallback)((height, width) => {
        setPageHeaderHeight(height);
    }, []);
    return (0, jsx_runtime_1.jsx)(baseLayout_1.BaseLayout, { ...props, onMeasure: onMeasure });
};
exports.PageHeader = PageHeader;
exports.PageHeader.displayName = "PageHeader";
//# sourceMappingURL=pageHeader.js.map