import { VariantProps } from "class-variance-authority";
import { FC, HTMLAttributes, PropsWithChildren } from "react";
declare const paperVariants: (props?: ({
    variant?: "contained" | "outline" | null | undefined;
    square?: boolean | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export interface PaperProps extends HTMLAttributes<HTMLElement>, VariantProps<typeof paperVariants> {
    asChild?: boolean;
}
declare const Paper: FC<PropsWithChildren<PaperProps>>;
export { Paper, paperVariants };
//# sourceMappingURL=paper.d.ts.map