"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeparatedListView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const _1 = require(".");
const react_1 = require("react");
const SeparatedListView = (props) => {
    const { renderSeparator, renderItem, ...rest } = props;
    const length = (0, react_1.useMemo)(() => props.dataSource?.length ?? 0, [props.dataSource]);
    return ((0, jsx_runtime_1.jsx)(_1.ListView, { renderItem: (item, index) => ((0, jsx_runtime_1.jsxs)(react_1.Fragment, { children: [renderItem(item, index), index + 1 < length ? renderSeparator?.(item, index) : null] }, index)), ...rest }));
};
exports.SeparatedListView = SeparatedListView;
//# sourceMappingURL=separated.js.map