"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sheet = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const sheet_1 = require("../../sheet");
const modalContext_1 = require("../modalContext");
const modalHelper_1 = require("../modalHelper");
const useModal_1 = require("../useModal");
const SimpleSheet = (0, modalHelper_1.create)((props) => {
    const { visible, hide, resolve, onOpenChange } = (0, useModal_1.useModal)();
    return ((0, jsx_runtime_1.jsx)(sheet_1.Sheet, { open: visible, onOpenChange: onOpenChange, children: (0, jsx_runtime_1.jsxs)(sheet_1.SheetContent, { className: props.contentClassName, onOpenAutoFocus: (event) => {
                event.preventDefault();
            }, children: [(0, jsx_runtime_1.jsx)(sheet_1.SheetHeader, { children: (0, jsx_runtime_1.jsx)(sheet_1.SheetTitle, { children: props.title }) }), props.content] }) }));
});
const sheet = (props) => {
    return modalContext_1.modalActions.show(SimpleSheet, props);
};
exports.sheet = sheet;
//# sourceMappingURL=sheet.js.map