"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MyOrders = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const tradingPageContext_1 = require("../../../../../../page/trading/context/tradingPageContext");
const types_1 = require("@orderly.network/types");
const full_1 = require("../../../../../../block/orders/full");
const tabContext_1 = require("../../../../../../tab/tabContext");
const MyOrders = (props) => {
    const context = (0, react_1.useContext)(tradingPageContext_1.TradingPageContext);
    const { data: tabExtraData } = (0, tabContext_1.useTabContext)();
    // const [symbol, setSymbol] = useState(() =>
    //   tabExtraData.showAllSymbol ? "" : context.symbol
    // );
    const [side, setSide] = (0, react_1.useState)("");
    const [data, { isLoading, loadMore, cancelOrder, updateOrder, cancelAlgoOrder, updateAlgoOrder }] = (0, hooks_1.useOrderStream)({
        status: props.status,
        symbol: tabExtraData.showAllSymbol ? "" : context.symbol,
        // @ts-ignore
        side,
    });
    // const onShowAllSymbolChange = (isAll: boolean) => {
    //   setSymbol(isAll ? "" : context.symbol);
    //   setShowAllSymbol(isAll);
    // };
    const { state } = (0, hooks_1.useAccount)();
    const onCancelOrder = (0, react_1.useCallback)((orderId, symbol) => {
        // @ts-ignore
        return cancelOrder(orderId, symbol);
    }, []);
    return ((0, jsx_runtime_1.jsx)(full_1.OrdersViewFull
    // @ts-ignore
    , { 
        // @ts-ignore
        dataSource: state.status < types_1.AccountStatusEnum.EnableTrading ? [] : data, isLoading: isLoading, symbol: context.symbol, onSideChange: setSide, 
        // @ts-ignore
        side: side, showAllSymbol: tabExtraData.showAllSymbol, cancelOrder: onCancelOrder, editOrder: updateOrder, cancelAlgoOrder: cancelAlgoOrder, editAlgoOrder: updateAlgoOrder, onSymbolChange: context.onSymbolChange, loadMore: loadMore, status: props.status }));
};
exports.MyOrders = MyOrders;
//# sourceMappingURL=index.js.map