"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnPnlPriceBasisCheckBox = exports.UnPnlPriceBasisType = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const lucide_react_1 = require("lucide-react");
var UnPnlPriceBasisType;
(function (UnPnlPriceBasisType) {
    UnPnlPriceBasisType[UnPnlPriceBasisType["MARKET_PRICE"] = 0] = "MARKET_PRICE";
    UnPnlPriceBasisType[UnPnlPriceBasisType["LAST_PRICE"] = 1] = "LAST_PRICE";
})(UnPnlPriceBasisType || (exports.UnPnlPriceBasisType = UnPnlPriceBasisType = {}));
const UnPnlPriceBasisCheckBox = ({ value, onValueChange }) => {
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center orderly-space-x-3", children: [(0, jsx_runtime_1.jsx)(UnPnlPriceBasisItem, { active: value === UnPnlPriceBasisType.MARKET_PRICE, label: "Mark Price", value: UnPnlPriceBasisType.MARKET_PRICE, onClick: onValueChange }), (0, jsx_runtime_1.jsx)(UnPnlPriceBasisItem, { active: value === UnPnlPriceBasisType.LAST_PRICE, label: "Last Price", value: UnPnlPriceBasisType.LAST_PRICE, onClick: onValueChange })] }));
};
exports.UnPnlPriceBasisCheckBox = UnPnlPriceBasisCheckBox;
const UnPnlPriceBasisItem = (props) => {
    let clsName = "orderly-flex orderly-items-center orderly-gap-1 orderly-cursor-pointer";
    if (props.active) {
        clsName += " orderly-text-base-contrast";
    }
    else {
        clsName += " orderly-text-base-contrast-54";
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: clsName, onClick: () => {
            props.onClick(props.active ? "" : props.value);
        }, children: [(0, jsx_runtime_1.jsx)("button", { type: "button", className: "orderly-w-[14px] orderly-h-[14px] orderly-rounded-full orderly-border-2 orderly-border-base-contrast-20", children: props.active && (
                // @ts-ignore
                (0, jsx_runtime_1.jsx)(lucide_react_1.Circle, { className: "orderly-w-[10px] orderly-h-[10px] orderly-text-base-contrast orderly-bg-base-contrast orderly-rounded-full" })) }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-text-3xs", children: props.label })] }));
};
//# sourceMappingURL=unPnlPriceBasisCheckBox.js.map