"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoizedCompnent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const statistic_1 = require("../../../../../statistic");
const hooks_1 = require("@orderly.network/hooks");
const text_1 = require("../../../../../text");
const FundingRate = (props) => {
    const data = (0, hooks_1.useFundingRate)(props.symbol);
    return ((0, jsx_runtime_1.jsx)(statistic_1.Statistic, { label: "Pred. funding rate", value: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex flex-nowrap", children: [(0, jsx_runtime_1.jsx)(text_1.Numeral, { className: "orderly-text-warning", unit: "%", precision: 4, padding: true, children: data.est_funding_rate }), (0, jsx_runtime_1.jsx)("span", { className: "orderly-ml-1 orderly-break-normal orderly-whitespace-nowrap", children: `in ${data.countDown}` })] }), hint: "Funding rates are payments between traders who are long and short. When positive, long positions pay short positions funding. When negative, short positions pay long positions." }));
};
exports.MemoizedCompnent = (0, react_1.memo)(FundingRate);
//# sourceMappingURL=fundingRate.js.map