"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemorizedTradeHistoryFull = exports.TradeHistoryFull = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const tradeHistory_1 = require("../../../../../block/tradeHistory");
const tabContext_1 = require("../../../../../tab/tabContext");
const TradeHistoryFull = (props) => {
    const { symbol } = props;
    const { data, isLoading } = (0, hooks_1.useMarketTradeStream)(symbol);
    const { height } = (0, tabContext_1.useTabContext)();
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-overflow-y-auto orderly-px-3", style: { height: `${height?.content}px` }, children: (0, jsx_runtime_1.jsx)(tradeHistory_1.TradeHistory, { dataSource: data, loading: isLoading, headerClassName: "orderly-py-[5px]" }) }));
};
exports.TradeHistoryFull = TradeHistoryFull;
exports.MemorizedTradeHistoryFull = (0, react_1.memo)(exports.TradeHistoryFull);
//# sourceMappingURL=tradingHistory.js.map