"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TradeData = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const hooks_1 = require("@orderly.network/hooks");
const text_1 = require("../../../../../text");
const provider_1 = require("../../../../../provider");
const icon_1 = require("../../../../../icon");
const TradeData = (props) => {
    const { symbol } = props;
    const ticker = (0, hooks_1.useTickerStream)(symbol);
    const { quote_dp, base_dp } = (0, react_1.useContext)(provider_1.SymbolContext);
    //
    return ((0, jsx_runtime_1.jsx)("div", { className: "orderly-h-[240px] orderly-p-4 orderly-relative", children: (0, jsx_runtime_1.jsxs)("table", { className: "orderly-w-full orderly-text-3xs", children: [(0, jsx_runtime_1.jsxs)("tr", { className: "orderly-h-[28px]", children: [(0, jsx_runtime_1.jsx)("td", { className: "orderly-text-base-contrast-54", children: "Mark price" }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-text-right orderly-text-base-contrast", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: quote_dp, children: ticker?.mark_price }) })] }), (0, jsx_runtime_1.jsxs)("tr", { className: "orderly-h-[28px]", children: [(0, jsx_runtime_1.jsx)("td", { className: "orderly-text-base-contrast-54", children: "Index price" }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-text-right orderly-text-base-contrast", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: quote_dp, children: ticker?.index_price }) })] }), (0, jsx_runtime_1.jsxs)("tr", { className: "orderly-h-[28px]", children: [(0, jsx_runtime_1.jsx)("td", { className: "orderly-text-base-contrast-54 ", children: (0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-items-center", children: [(0, jsx_runtime_1.jsx)("div", { children: "24h volume" }), (0, jsx_runtime_1.jsx)(icon_1.OrderlyIcon, { size: 14, className: "orderly-ml-[6px]" })] }) }), (0, jsx_runtime_1.jsxs)("td", { className: "orderly-text-right orderly-text-base-contrast", children: [(0, jsx_runtime_1.jsx)(text_1.Numeral.total, { rule: "human", precision: 2, price: ticker?.["24h_close"], quantity: ticker?.["24h_volumn"] }), (0, jsx_runtime_1.jsx)(text_1.Text, { rule: "symbol", symbolElement: "quote", className: "orderly-text-base-contrast-36 orderly-ml-2", children: symbol })] })] }), (0, jsx_runtime_1.jsxs)("tr", { className: "orderly-h-[28px]", children: [(0, jsx_runtime_1.jsx)("td", { className: "orderly-text-base-contrast-54", children: "24h high" }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-text-right orderly-text-base-contrast", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: quote_dp, children: ticker?.["24h_high"] }) })] }), (0, jsx_runtime_1.jsxs)("tr", { className: "orderly-h-[28px]", children: [(0, jsx_runtime_1.jsx)("td", { className: "orderly-text-base-contrast-54", children: "24h low" }), (0, jsx_runtime_1.jsx)("td", { className: "orderly-text-right orderly-text-base-contrast", children: (0, jsx_runtime_1.jsx)(text_1.Numeral, { precision: quote_dp, children: ticker?.["24h_low"] }) })] }), (0, jsx_runtime_1.jsxs)("tr", { className: "orderly-h-[28px]", children: [(0, jsx_runtime_1.jsx)("td", { className: "orderly-text-base-contrast-54", children: "Open interest" }), (0, jsx_runtime_1.jsxs)("td", { className: "orderly-text-right orderly-text-base-contrast", children: [ticker?.["open_interest"] ? ((0, jsx_runtime_1.jsx)(text_1.Numeral.total, { rule: "human", precision: 2, price: ticker?.["mark_price"], quantity: ticker?.["open_interest"] })) : ("--"), (0, jsx_runtime_1.jsx)(text_1.Text, { className: "orderly-text-base-contrast-36 orderly-ml-2", children: "USDC" })] })] })] }) }));
};
exports.TradeData = TradeData;
//# sourceMappingURL=tradeData.js.map