"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TradeHistoryPane = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("@orderly.network/hooks");
const tradeHistory_1 = require("../../../../../block/tradeHistory");
const TradeHistoryPane = (props) => {
    const { symbol } = props;
    const { data, isLoading } = (0, hooks_1.useMarketTradeStream)(symbol);
    return (0, jsx_runtime_1.jsx)(tradeHistory_1.TradeHistory, { dataSource: data, loading: isLoading });
};
exports.TradeHistoryPane = TradeHistoryPane;
//# sourceMappingURL=tradeHistory.js.map