"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoryPane = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const orderHistory_1 = require("../../../../../../block/orderHistory");
const tradingPageContext_1 = require("../../../../../../page/trading/context/tradingPageContext");
const hooks_1 = require("@orderly.network/hooks");
const types_1 = require("@orderly.network/types");
const react_1 = require("react");
const HistoryPane = () => {
    const [side, setSide] = (0, react_1.useState)("");
    const [status, setStauts] = (0, react_1.useState)("");
    const { state } = (0, hooks_1.useAccount)();
    const { onSymbolChange } = (0, react_1.useContext)(tradingPageContext_1.TradingPageContext);
    const [data, { isLoading, loadMore }] = (0, hooks_1.useOrderStream)({
        // @ts-ignore
        side,
        // @ts-ignore
        status,
    });
    return ((0, jsx_runtime_1.jsx)(orderHistory_1.HistoryListView, { isLoading: isLoading, 
        // @ts-ignore
        dataSource: state.status < types_1.AccountStatusEnum.EnableTrading ? [] : data, onSideChange: setSide, onStatusChange: setStauts, onSymbolChange: onSymbolChange, side: side, status: status, loadMore: loadMore }));
};
exports.HistoryPane = HistoryPane;
//# sourceMappingURL=index.js.map