"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataListView = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const tab_1 = require("../../../../../tab");
const react_1 = require("react");
const position_1 = require("./position");
const orders_1 = require("../../../../../page/trading/mobile/sections/dataList/orders");
const history_1 = require("./history");
const tabTitle_1 = require("./position/tabTitle");
const tabTitle_2 = require("./orders/tabTitle");
const DataListView = () => {
    const [activeTab, setActiveTab] = (0, react_1.useState)("positions");
    return ((0, jsx_runtime_1.jsxs)(tab_1.Tabs, { id: "orderly-data-list", value: activeTab, onTabChange: setActiveTab, tabBarClassName: "orderly-data-list-tab-bar orderly-bg-base-900 orderly-text-3xs", children: [(0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: (0, jsx_runtime_1.jsx)(tabTitle_1.PositionTabTitle, {}), value: "positions", id: "orderly-data-list-positions", children: (0, jsx_runtime_1.jsx)(position_1.PositionPane, {}) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: (0, jsx_runtime_1.jsx)(tabTitle_2.MemoizedOrdersTabTitle, {}), value: "orders", id: "orderly-data-list-pending", children: (0, jsx_runtime_1.jsx)(orders_1.OrdersPane, {}) }), (0, jsx_runtime_1.jsx)(tab_1.TabPane, { title: "History", value: "history", id: "orderly-data-list-history", children: (0, jsx_runtime_1.jsx)(history_1.HistoryPane, {}) })] }));
};
exports.DataListView = DataListView;
//# sourceMappingURL=index.js.map