"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoizedOrdersTabTitle = exports.OrdersTabTitle = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const types_1 = require("@orderly.network/types");
const hooks_1 = require("@orderly.network/hooks");
const react_1 = require("react");
const OrdersTabTitle = () => {
    const [_, { total }] = (0, hooks_1.useOrderStream)({
        status: types_1.OrderStatus.INCOMPLETE,
    }, {
        keeplive: true,
    });
    if (total === 0) {
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: "Pending" });
    }
    return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: `Pending (${total})` });
};
exports.OrdersTabTitle = OrdersTabTitle;
exports.MemoizedOrdersTabTitle = (0, react_1.memo)(exports.OrdersTabTitle);
//# sourceMappingURL=tabTitle.js.map