"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarketOverview = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const marketOverview_1 = require("../../../../../block/marketOverview");
const hooks_1 = require("@orderly.network/hooks");
const provider_1 = require("../../../../../provider");
const MarketOverview = (props) => {
    const { symbol } = props;
    const data = (0, hooks_1.useTickerStream)(symbol);
    return ((0, jsx_runtime_1.jsx)(provider_1.SymbolProvider, { symbol: symbol, children: (0, jsx_runtime_1.jsx)(marketOverview_1.SimpleMarketOverview
        // @ts-ignore
        , { 
            // @ts-ignore
            change: data?.change ?? 0, price: data?.["24h_close"] ?? 0 }) }));
};
exports.MarketOverview = MarketOverview;
//# sourceMappingURL=marketOverview.js.map