"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileTradingPage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const navbar_1 = require("./sections/navbar");
const dataList_1 = require("./sections/dataList");
const chartView_1 = require("./sections/chartView");
const orderbook_1 = require("./sections/orderbook");
const orderEntry_1 = require("./sections/orderEntry");
const leverage_1 = require("./sections/leverage");
const bottombar_1 = require("./sections/bottombar");
const assetsProvider_1 = require("../../../provider/assetsProvider");
const MobileTradingPage = (props) => {
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-pb-[70px]", children: [(0, jsx_runtime_1.jsx)(navbar_1.NavBar, { symbol: props.symbol }), (0, jsx_runtime_1.jsx)(chartView_1.ChartView, { symbol: props.symbol, tradingViewConfig: props.tradingViewConfig }), (0, jsx_runtime_1.jsx)(leverage_1.MemoizedCompnent, { symbol: props.symbol }), (0, jsx_runtime_1.jsxs)("div", { className: "orderly-grid orderly-grid-cols-[3fr_4fr] orderly-box-border orderly-p-2 orderly-items-start", children: [(0, jsx_runtime_1.jsx)("div", { className: "orderly-w-full", children: (0, jsx_runtime_1.jsx)(orderbook_1.MyOrderBook, { symbol: props.symbol }) }), (0, jsx_runtime_1.jsx)(assetsProvider_1.AssetsProvider, { children: (0, jsx_runtime_1.jsx)(orderEntry_1.MyOrderEntry, { symbol: props.symbol }) })] }), (0, jsx_runtime_1.jsx)(dataList_1.DataListView, {}), (0, jsx_runtime_1.jsx)(assetsProvider_1.AssetsProvider, { children: (0, jsx_runtime_1.jsx)(bottombar_1.BottomNavBar, {}) })] }));
};
exports.MobileTradingPage = MobileTradingPage;
//# sourceMappingURL=trading.js.map