"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtensionSlot = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const registry_1 = require("./registry");
const ExtensionSlot = (props) => {
    const { position, scope, ...rest } = props;
    // const [component, setComponent] = useState<ReactNode | null>(null);
    const Ele = (0, react_1.useMemo)(() => {
        const registry = registry_1.OrderlyExtensionRegistry.getInstance();
        const plugin = registry.getPluginsByPosition(position);
        // if (plugin) {
        //   setComponent(plugin.render({}));
        // }
        return plugin?.render;
    }, []);
    return (0, jsx_runtime_1.jsx)(react_1.Fragment, { children: Ele ? (0, jsx_runtime_1.jsx)(Ele, { ...rest }) : null });
};
exports.ExtensionSlot = ExtensionSlot;
//# sourceMappingURL=slot.js.map