/// <reference types="react" />
export type ConnectedChain = {
    id: string;
};
export interface WalletConnectorContextState {
    connect: () => Promise<any[]>;
    disconnect: (options: any) => Promise<any[]>;
    connecting: boolean;
    setChain: (options: any) => Promise<any>;
    chains: any[];
    switchChain: (options: {
        chainId: string;
    }) => Promise<any>;
    wallet: any;
    connectedChain: ConnectedChain | null;
    settingChain: boolean;
}
export declare const WalletConnectorContext: import("react").Context<WalletConnectorContextState>;
//# sourceMappingURL=walletConnectorProvider.d.ts.map