"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Radio = exports.RadioGroupItem = exports.RadioGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const RadioGroupPrimitive = __importStar(require("@radix-ui/react-radio-group"));
const css_1 = require("../utils/css");
const lucide_react_1 = require("lucide-react");
const label_1 = require("../label");
const react_1 = require("react");
const RadioGroup = React.forwardRef(({ className, ...props }, ref) => {
    return ((0, jsx_runtime_1.jsx)(RadioGroupPrimitive.Root, { className: (0, css_1.cn)("orderly-grid orderly-gap-2", className), ...props, ref: ref }));
});
exports.RadioGroup = RadioGroup;
RadioGroup.displayName = RadioGroupPrimitive.Root.displayName;
const RadioGroupItem = React.forwardRef(({ className, children, ...props }, ref) => {
    return ((0, jsx_runtime_1.jsx)(RadioGroupPrimitive.Item, { ref: ref, className: (0, css_1.cn)("orderly-aspect-square orderly-h-[16px] orderly-w-[16px] orderly-rounded-full orderly-border-2 orderly-border-base-contrast/50 orderly-text-base-contrast/50 orderly-ring-offset-base-700 focus:orderly-outline-none focus-visible:orderly-ring-2 focus-visible:orderly-ring-ring focus-visible:orderly-ring-offset-2 disabled:orderly-cursor-not-allowed disabled:orderly-opacity-50", className), ...props, children: (0, jsx_runtime_1.jsx)(RadioGroupPrimitive.Indicator, { className: "orderly-flex orderly-items-center orderly-justify-center", children: (0, jsx_runtime_1.jsx)(lucide_react_1.Circle, { className: "orderly-h-[8px] orderly-w-[8px] orderly-fill-current orderly-text-current" }) }) }));
});
exports.RadioGroupItem = RadioGroupItem;
RadioGroupItem.displayName = RadioGroupPrimitive.Item.displayName;
const Radio = (props) => {
    const { children, ...rest } = props;
    const uid = (0, react_1.useId)();
    const id = props.id || uid;
    return ((0, jsx_runtime_1.jsxs)("div", { className: "orderly-flex orderly-gap-1 orderly-items-center", children: [(0, jsx_runtime_1.jsx)(RadioGroupItem, { ...rest, id: id }), (0, jsx_runtime_1.jsx)(label_1.Label, { htmlFor: id, children: children })] }));
};
exports.Radio = Radio;
//# sourceMappingURL=radioGroup.js.map