import React from "react";
import * as SliderPrimitive from "@radix-ui/react-slider";
import { SliderMark } from "./marks";
export type SliderColor = "primary" | "primary-light" | "buy" | "sell";
interface SliderProps extends React.ComponentPropsWithoutRef<typeof SliderPrimitive.Root> {
    color: SliderColor;
    marks?: SliderMark[];
    markCount?: number;
    markLabelVisible?: boolean;
    showTip?: boolean;
}
declare const Slider: React.ForwardRefExoticComponent<SliderProps & React.RefAttributes<HTMLSpanElement>>;
export { Slider };
//# sourceMappingURL=slider.d.ts.map