"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabIndicator = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const css_1 = require("../utils/css");
const TabIndicator = ({ left = 0, width = 40, className, }) => {
    const cssTransform = (0, react_1.useMemo)(() => {
        return { transform: `translateX(${left}px)`, width: `${width}px` };
    }, [left, width]);
    return ((0, jsx_runtime_1.jsx)("div", { className: (0, css_1.cn)("orderly-absolute orderly-bottom-0 orderly-left-0 orderly-h-[3px] desktop:orderly-h-[2px] orderly-bg-base-contrast orderly-transition-transform", className), style: cssTransform }));
};
exports.TabIndicator = TabIndicator;
//# sourceMappingURL=indicator.js.map