"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabContextProvider = exports.useTabContext = exports.TabContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const TabContext = react_1.default.createContext({});
exports.TabContext = TabContext;
const useTabContext = () => (0, react_1.useContext)(TabContext);
exports.useTabContext = useTabContext;
const TabContextProvider = (props) => {
    // const [visible, setVisible] = useState<boolean>(() => props.collapsed);
    const [data, setData] = (0, react_1.useState)(props.data || {});
    // const data = {};
    const updateData = (0, react_1.useCallback)((key, value) => {
        // console.log("update data", key, value);
        setData((data) => {
            return {
                ...data,
                [key]: value,
            };
        });
    }, []);
    // console.log("----- tab context ----------", props.data, props.height);
    return ((0, jsx_runtime_1.jsx)(TabContext.Provider, { value: {
            contentVisible: !props.collapsed,
            height: props.height,
            toggleContentVisible: () => {
                // setVisible((visible: boolean) => !visible);
                props.onToggleCollapsed?.();
            },
            data,
            updateData,
        }, children: props.children }));
};
exports.TabContextProvider = TabContextProvider;
//# sourceMappingURL=tabContext.js.map