"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTab = void 0;
const react_1 = require("react");
const tabContext_1 = require("./tabContext");
const useTab = () => {
    const { toggleContentVisible, contentVisible } = (0, react_1.useContext)(tabContext_1.TabContext);
    return { toggleContentVisible, visible: contentVisible };
};
exports.useTab = useTab;
//# sourceMappingURL=tabHook.js.map