import { FC, ReactNode } from "react";
import { TabContextState } from "./tabContext";
import { TabViewMode } from "./constants";
export type TabItem = {
    title: ReactNode;
    value?: string;
    disabled?: boolean;
};
export type TabBarExtraRender = (tabContext: TabContextState) => ReactNode;
interface TabListProps {
    tabs: TabItem[];
    value?: string;
    onTabChange?: (value: string) => void;
    tabBarExtra?: ReactNode | TabBarExtraRender;
    className?: string;
    showIdentifier?: boolean;
    fullWidth?: boolean;
    mode: TabViewMode;
}
export declare const TabList: FC<TabListProps>;
export {};
//# sourceMappingURL=tabList.d.ts.map