import { ReactNode } from "react";
export interface TBodyProps<RecordType> {
    bordered?: boolean;
    justified?: boolean;
    renderRowContainer?: (record: RecordType, index: number, children: ReactNode) => ReactNode;
    generatedRowKey?: (record: RecordType, index: number) => string;
    onRow?: (record: RecordType, index: number) => any;
    expandRowRender?: (record: RecordType, index: number) => ReactNode;
}
export declare const TBody: <RecordType>(props: TBodyProps<RecordType>) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=tbody.d.ts.map