import { VariantProps } from "class-variance-authority";
import { FC, PropsWithChildren } from "react";
declare const tagVariants: (props?: ({
    size?: "small" | "default" | null | undefined;
    color?: "primary" | "buy" | "sell" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export interface TagProps extends Omit<React.HTMLAttributes<HTMLDivElement>, "size" | "color">, VariantProps<typeof tagVariants> {
}
export declare const Tag: FC<PropsWithChildren<TagProps>>;
export {};
//# sourceMappingURL=tag.d.ts.map