"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = exports.Numeral = void 0;
const numeral_1 = require("./numeral");
const numeralTotal_1 = require("./numeralTotal");
const numeralWithSymbol_1 = require("./numeralWithSymbol");
const numeralWithCtx_1 = require("./numeralWithCtx");
const tradingPair_1 = require("./tradingPair");
const text_1 = require("./text");
const CombinedComponent = numeral_1.Numeral;
exports.Numeral = CombinedComponent;
CombinedComponent.symbol = numeralWithSymbol_1.NumeralWithSymbol;
CombinedComponent.total = numeralTotal_1.NumeralTotal;
CombinedComponent.withCtx = numeralWithCtx_1.NumeralWithCtx;
const CombinedTextComponent = text_1.Text;
exports.Text = CombinedTextComponent;
CombinedTextComponent.tradingPair = tradingPair_1.TradingPair;
//# sourceMappingURL=index.js.map