"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TradingPair = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const TradingPair = (props) => {
    if (typeof props.children !== "string") {
        throw new Error("TradingPair must have a string child");
    }
    const children = (0, react_1.useMemo)(() => {
        return props.children;
    }, [props.children]);
    return (0, jsx_runtime_1.jsx)("span", { ...props, children: children });
};
exports.TradingPair = TradingPair;
//# sourceMappingURL=tradingPair.js.map