"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toaster = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_hot_toast_1 = require("react-hot-toast");
const lucide_react_1 = require("lucide-react");
const Toaster = (props) => {
    return (
    // @ts-ignore
    (0, jsx_runtime_1.jsx)(react_hot_toast_1.Toaster, { toastOptions: {
            duration: 2500,
            success: {
                iconTheme: {
                    primary: "rgba(0, 181, 159, 1)",
                    secondary: "rgba(57, 52, 74, 1)",
                },
                style: {
                    fontSize: "14px",
                    color: "rgba(255, 255, 255, 0.98)",
                },
            },
            error: {
                iconTheme: {
                    primary: "rgba(255, 103, 194, 1)",
                    secondary: "rgba(57, 52, 74, 1)",
                },
                style: {
                    fontSize: "14px",
                    color: "rgba(255, 255, 255, 0.98)",
                },
            },
        }, ...props, children: (t) => (
        // @ts-ignore
        (0, jsx_runtime_1.jsx)(react_hot_toast_1.ToastBar, { toast: t, style: {
                ...t.style,
                background: "rgba(57, 52, 74, 1)",
                color: "rgba(255, 255, 255, 0.98)",
                // alignItems: "start",
                borderRadius: "6px",
                // animation: t.visible
                //   ? "animate-in fade-in"
                //   : "animate-out fade-out",
            }, children: ({ icon, message }) => ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [icon, message, t.type !== "loading" && ((0, jsx_runtime_1.jsx)("button", { onClick: () => react_hot_toast_1.toast.dismiss(t.id), children: (0, jsx_runtime_1.jsx)(lucide_react_1.X, { size: 18, color: "rgba(255, 255, 255, 0.2)" }) }))] })) })) }));
};
exports.Toaster = Toaster;
//# sourceMappingURL=Toaster.js.map